-- MySQL dump 10.13  Distrib 8.0.30, for FreeBSD12.3 (amd64)
--
-- Host: localhost    Database: player
-- ------------------------------------------------------
-- Server version	8.0.30

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `affect`
--

DROP TABLE IF EXISTS `affect`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `affect` (
  `dwPID` int unsigned NOT NULL DEFAULT '0',
  `bType` smallint unsigned NOT NULL DEFAULT '0',
  `bApplyOn` tinyint unsigned NOT NULL DEFAULT '0',
  `lApplyValue` int NOT NULL DEFAULT '0',
  `dwFlag` int unsigned NOT NULL DEFAULT '0',
  `lDuration` int NOT NULL DEFAULT '0',
  `lSPCost` int NOT NULL DEFAULT '0',
  PRIMARY KEY (`dwPID`,`bType`,`bApplyOn`,`lApplyValue`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=FIXED;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `affect`
--

LOCK TABLES `affect` WRITE;
/*!40000 ALTER TABLE `affect` DISABLE KEYS */;
/*!40000 ALTER TABLE `affect` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `banword`
--

DROP TABLE IF EXISTS `banword`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `banword` (
  `word` varbinary(24) NOT NULL DEFAULT '',
  PRIMARY KEY (`word`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `banword`
--

LOCK TABLES `banword` WRITE;
/*!40000 ALTER TABLE `banword` DISABLE KEYS */;
INSERT INTO `banword` VALUES (_binary '/'),(_binary ';'),(_binary '?'),(_binary '\\');
/*!40000 ALTER TABLE `banword` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `card`
--

DROP TABLE IF EXISTS `card`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `card` (
  `id` int NOT NULL AUTO_INCREMENT,
  `cash` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `prices` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `no` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `pwd` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `lock` int DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `card`
--

LOCK TABLES `card` WRITE;
/*!40000 ALTER TABLE `card` DISABLE KEYS */;
/*!40000 ALTER TABLE `card` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `change_empire`
--

DROP TABLE IF EXISTS `change_empire`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `change_empire` (
  `change_count` int DEFAULT NULL,
  `account_id` int DEFAULT NULL,
  `time` datetime DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=FIXED;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `change_empire`
--

LOCK TABLES `change_empire` WRITE;
/*!40000 ALTER TABLE `change_empire` DISABLE KEYS */;
/*!40000 ALTER TABLE `change_empire` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dungeon_ranking`
--

DROP TABLE IF EXISTS `dungeon_ranking`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `dungeon_ranking` (
  `id` int unsigned NOT NULL AUTO_INCREMENT COMMENT 'Index',
  `pid` int NOT NULL COMMENT 'Player ID',
  `dungeon_index` int NOT NULL COMMENT 'Dungeon Map Index',
  `completed` int NOT NULL COMMENT 'Dungeon Completed',
  `time` int NOT NULL COMMENT 'Dungeon Finish Time',
  `damage` int NOT NULL COMMENT 'Dungeon Highest Damage',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dungeon_ranking`
--

LOCK TABLES `dungeon_ranking` WRITE;
/*!40000 ALTER TABLE `dungeon_ranking` DISABLE KEYS */;
/*!40000 ALTER TABLE `dungeon_ranking` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `guild`
--

DROP TABLE IF EXISTS `guild`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `guild` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `sp` smallint NOT NULL DEFAULT '1000',
  `master` int unsigned NOT NULL DEFAULT '0',
  `level` tinyint DEFAULT NULL,
  `exp` int DEFAULT NULL,
  `skill_point` tinyint NOT NULL DEFAULT '0',
  `skill` tinyblob,
  `win` int NOT NULL DEFAULT '0',
  `draw` int NOT NULL DEFAULT '0',
  `loss` int NOT NULL DEFAULT '0',
  `ladder_point` int NOT NULL DEFAULT '0',
  `gold` int NOT NULL DEFAULT '0',
  `dungeon_ch` int NOT NULL DEFAULT '0',
  `dungeon_map` int unsigned NOT NULL DEFAULT '0',
  `dungeon_cooldown` int unsigned NOT NULL DEFAULT '0',
  `dungeon_start` int unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `guild`
--

LOCK TABLES `guild` WRITE;
/*!40000 ALTER TABLE `guild` DISABLE KEYS */;
/*!40000 ALTER TABLE `guild` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `guild_comment`
--

DROP TABLE IF EXISTS `guild_comment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `guild_comment` (
  `id` int NOT NULL AUTO_INCREMENT,
  `guild_id` int unsigned DEFAULT NULL,
  `name` varchar(24) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `notice` tinyint DEFAULT NULL,
  `content` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  KEY `aaa` (`notice`,`id`,`guild_id`) USING BTREE,
  KEY `guild_id` (`guild_id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `guild_comment`
--

LOCK TABLES `guild_comment` WRITE;
/*!40000 ALTER TABLE `guild_comment` DISABLE KEYS */;
/*!40000 ALTER TABLE `guild_comment` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `guild_grade`
--

DROP TABLE IF EXISTS `guild_grade`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `guild_grade` (
  `guild_id` int NOT NULL DEFAULT '0',
  `grade` tinyint NOT NULL DEFAULT '0',
  `name` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `auth` set('ADD_MEMBER','REMOVE_MEMBER','NOTICE','USE_SKILL') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '',
  PRIMARY KEY (`guild_id`,`grade`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `guild_grade`
--

LOCK TABLES `guild_grade` WRITE;
/*!40000 ALTER TABLE `guild_grade` DISABLE KEYS */;
/*!40000 ALTER TABLE `guild_grade` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `guild_member`
--

DROP TABLE IF EXISTS `guild_member`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `guild_member` (
  `pid` int unsigned NOT NULL DEFAULT '0',
  `guild_id` int unsigned NOT NULL DEFAULT '0',
  `grade` tinyint DEFAULT NULL,
  `is_general` tinyint(1) NOT NULL DEFAULT '0',
  `offer` int unsigned DEFAULT NULL,
  PRIMARY KEY (`guild_id`,`pid`) USING BTREE,
  UNIQUE KEY `pid` (`pid`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=FIXED;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `guild_member`
--

LOCK TABLES `guild_member` WRITE;
/*!40000 ALTER TABLE `guild_member` DISABLE KEYS */;
/*!40000 ALTER TABLE `guild_member` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `guild_war`
--

DROP TABLE IF EXISTS `guild_war`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `guild_war` (
  `id_from` int NOT NULL DEFAULT '0',
  `id_to` int NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_from`,`id_to`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=FIXED;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `guild_war`
--

LOCK TABLES `guild_war` WRITE;
/*!40000 ALTER TABLE `guild_war` DISABLE KEYS */;
/*!40000 ALTER TABLE `guild_war` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `guild_war_bet`
--

DROP TABLE IF EXISTS `guild_war_bet`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `guild_war_bet` (
  `login` varchar(24) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `gold` int unsigned NOT NULL DEFAULT '0',
  `guild` int NOT NULL DEFAULT '0',
  `war_id` int unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`war_id`,`login`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `guild_war_bet`
--

LOCK TABLES `guild_war_bet` WRITE;
/*!40000 ALTER TABLE `guild_war_bet` DISABLE KEYS */;
/*!40000 ALTER TABLE `guild_war_bet` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `guild_war_reservation`
--

DROP TABLE IF EXISTS `guild_war_reservation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `guild_war_reservation` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `guild1` int unsigned NOT NULL DEFAULT '0',
  `guild2` int unsigned NOT NULL DEFAULT '0',
  `time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `type` tinyint unsigned NOT NULL DEFAULT '0',
  `warprice` int unsigned NOT NULL DEFAULT '0',
  `initscore` int unsigned NOT NULL DEFAULT '0',
  `started` tinyint(1) NOT NULL DEFAULT '0',
  `bet_from` int unsigned NOT NULL DEFAULT '0',
  `bet_to` int unsigned NOT NULL DEFAULT '0',
  `winner` int NOT NULL DEFAULT '-1',
  `power1` int NOT NULL DEFAULT '0',
  `power2` int NOT NULL DEFAULT '0',
  `handicap` int NOT NULL DEFAULT '0',
  `result1` int NOT NULL DEFAULT '0',
  `result2` int NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=FIXED;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `guild_war_reservation`
--

LOCK TABLES `guild_war_reservation` WRITE;
/*!40000 ALTER TABLE `guild_war_reservation` DISABLE KEYS */;
/*!40000 ALTER TABLE `guild_war_reservation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `highscore`
--

DROP TABLE IF EXISTS `highscore`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `highscore` (
  `pid` int DEFAULT NULL,
  `board` varchar(0) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `value` varchar(0) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `highscore`
--

LOCK TABLES `highscore` WRITE;
/*!40000 ALTER TABLE `highscore` DISABLE KEYS */;
/*!40000 ALTER TABLE `highscore` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `horse_name`
--

DROP TABLE IF EXISTS `horse_name`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `horse_name` (
  `id` int unsigned NOT NULL DEFAULT '0',
  `name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'NONAME',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `horse_name`
--

LOCK TABLES `horse_name` WRITE;
/*!40000 ALTER TABLE `horse_name` DISABLE KEYS */;
/*!40000 ALTER TABLE `horse_name` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `item`
--

DROP TABLE IF EXISTS `item`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `item` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `owner_id` int unsigned NOT NULL DEFAULT '0',
  `window` enum('INVENTORY','EQUIPMENT','SAFEBOX','MALL','DRAGON_SOUL_INVENTORY','BELT_INVENTORY','SKILL_BOOK_INVENTORY','UPGRADE_ITEMS_INVENTORY','STONE_INVENTORY','GIFT_BOX_INVENTORY','GROUND') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `pos` smallint unsigned NOT NULL DEFAULT '0',
  `count` smallint unsigned NOT NULL DEFAULT '0',
  `vnum` int unsigned NOT NULL DEFAULT '0',
  `soulbind` bigint NOT NULL DEFAULT '0',
  `transmutation` int unsigned NOT NULL DEFAULT '0',
  `socket0` int unsigned NOT NULL DEFAULT '0',
  `socket1` int unsigned NOT NULL DEFAULT '0',
  `socket2` int unsigned NOT NULL DEFAULT '0',
  `socket3` int unsigned NOT NULL DEFAULT '0',
  `socket4` int unsigned NOT NULL DEFAULT '0',
  `socket5` int unsigned NOT NULL DEFAULT '0',
  `apply_type0` tinyint NOT NULL DEFAULT '0',
  `apply_value0` smallint NOT NULL DEFAULT '0',
  `apply_path0` tinyint NOT NULL DEFAULT '0',
  `apply_type1` tinyint NOT NULL DEFAULT '0',
  `apply_value1` smallint NOT NULL DEFAULT '0',
  `apply_path1` tinyint NOT NULL DEFAULT '0',
  `apply_type2` tinyint NOT NULL DEFAULT '0',
  `apply_value2` smallint NOT NULL DEFAULT '0',
  `apply_path2` tinyint NOT NULL DEFAULT '0',
  `apply_type3` tinyint NOT NULL DEFAULT '0',
  `apply_value3` smallint NOT NULL DEFAULT '0',
  `apply_path3` tinyint NOT NULL DEFAULT '0',
  `attrtype0` tinyint NOT NULL DEFAULT '0',
  `attrvalue0` smallint NOT NULL DEFAULT '0',
  `attrtype1` tinyint NOT NULL DEFAULT '0',
  `attrvalue1` smallint NOT NULL DEFAULT '0',
  `attrtype2` tinyint NOT NULL DEFAULT '0',
  `attrvalue2` smallint NOT NULL DEFAULT '0',
  `attrtype3` tinyint NOT NULL DEFAULT '0',
  `attrvalue3` smallint NOT NULL DEFAULT '0',
  `attrtype4` tinyint NOT NULL DEFAULT '0',
  `attrvalue4` smallint NOT NULL DEFAULT '0',
  `attrtype5` tinyint NOT NULL DEFAULT '0',
  `attrvalue5` smallint NOT NULL DEFAULT '0',
  `attrtype6` tinyint NOT NULL DEFAULT '0',
  `attrvalue6` smallint NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `owner_id_idx` (`owner_id`) USING BTREE,
  KEY `item_vnum_index` (`vnum`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=2000000000 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=FIXED;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `item`
--

LOCK TABLES `item` WRITE;
/*!40000 ALTER TABLE `item` DISABLE KEYS */;
/*!40000 ALTER TABLE `item` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `item_attr`
--

DROP TABLE IF EXISTS `item_attr`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `item_attr` (
  `apply` enum('MAX_HP','MAX_SP','CON','INT','STR','DEX','ATT_SPEED','MOV_SPEED','CAST_SPEED','HP_REGEN','SP_REGEN','POISON_PCT','STUN_PCT','SLOW_PCT','CRITICAL_PCT','PENETRATE_PCT','ATTBONUS_HUMAN','ATTBONUS_ANIMAL','ATTBONUS_ORC','ATTBONUS_MILGYO','ATTBONUS_UNDEAD','ATTBONUS_DEVIL','STEAL_HP','STEAL_SP','MANA_BURN_PCT','DAMAGE_SP_RECOVER','BLOCK','DODGE','RESIST_SWORD','RESIST_TWOHAND','RESIST_DAGGER','RESIST_BELL','RESIST_FAN','RESIST_BOW','RESIST_FIRE','RESIST_ELEC','RESIST_MAGIC','RESIST_WIND','REFLECT_MELEE','REFLECT_CURSE','POISON_REDUCE','KILL_SP_RECOVER','EXP_DOUBLE_BONUS','GOLD_DOUBLE_BONUS','ITEM_DROP_BONUS','POTION_BONUS','KILL_HP_RECOVER','IMMUNE_STUN','IMMUNE_SLOW','IMMUNE_FALL','SKILL','BOW_DISTANCE','ATT_GRADE_BONUS','DEF_GRADE_BONUS','MAGIC_ATT_GRADE','MAGIC_DEF_GRADE','CURSE_PCT','MAX_STAMINA','ATTBONUS_WARRIOR','ATTBONUS_ASSASSIN','ATTBONUS_SURA','ATTBONUS_SHAMAN','ATTBONUS_MONSTER','MALL_ATTBONUS','MALL_DEFBONUS','MALL_EXPBONUS','MALL_ITEMBONUS','MALL_GOLDBONUS','MAX_HP_PCT','MAX_SP_PCT','SKILL_DAMAGE_BONUS','NORMAL_HIT_DAMAGE_BONUS','SKILL_DEFEND_BONUS','NORMAL_HIT_DEFEND_BONUS','PC_BANG_EXP_BONUS','PC_BANG_DROP_BONUS','EXTRACT_HP_PCT','RESIST_WARRIOR','RESIST_ASSASSIN','RESIST_SURA','RESIST_SHAMAN','ENERGY','DEF_GRADE','COSTUME_ATTR_BONUS','MAGIC_ATTBONUS_PER','MELEE_MAGIC_ATTBONUS_PER','RESIST_ICE','RESIST_EARTH','RESIST_DARK','RESIST_CRITICAL','RESIST_PENETRATE','BLEEDING_REDUCE','BLEEDING_PCT','ATTBONUS_WOLFMAN','RESIST_WOLFMAN','RESIST_CLAW','MOUNT','ACCEDRAIN_RATE','RESIST_MAGIC_REDUCTION','ENCHANT_ELECT','ENCHANT_FIRE','ENCHANT_ICE','ENCHANT_WIND','ENCHANT_EARTH','ENCHANT_DARK','ATTBONUS_CZ','ATTBONUS_INSECT','ATTBONUS_DESERT','ATTBONUS_SWORD','ATTBONUS_TWOHAND','ATTBONUS_DAGGER','ATTBONUS_BELL','ATTBONUS_FAN','ATTBONUS_BOW','ATTBONUS_CLAW','RESIST_HUMAN','ATTBONUS_STONE','SUNGMA_STR','SUNGMA_HP','SUNGMA_MOVE','SUNGMA_IMMUNE','INFINITE_AFFECT_DURATION','ATTACK_SPEED','MOVE_SPEED','ATT_BONUS','DEF_BONUS','ATT_BONUS_TO_WARRIOR','ATT_BONUS_TO_ASSASSIN','ATT_BONUS_TO_SURA','ATT_BONUS_TO_SHAMAN','ATT_BONUS_TO_WOLFMAN') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `prob` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `lv1` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `lv2` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `lv3` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `lv4` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `lv5` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `weapon` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `body` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `wrist` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `foots` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `neck` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `head` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `shield` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `ear` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `costume_body` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `costume_hair` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `costume_weapon` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `pendant` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `glove` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT ''
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `item_attr`
--

LOCK TABLES `item_attr` WRITE;
/*!40000 ALTER TABLE `item_attr` DISABLE KEYS */;
INSERT INTO `item_attr` VALUES ('ATTBONUS_MILGYO','1','2','4','6','10','20','5','0','5','0','0','5','5','5','0','5','5','0','0'),('ATTBONUS_SWORD','1','1','2','3','4','5','0','0','0','0','0','0','0','0','0','0','0','5','5'),('ATTBONUS_TWOHAND','1','1','2','3','4','5','0','0','0','0','0','0','0','0','0','0','0','5','5'),('ATTBONUS_DAGGER','1','1','2','3','4','5','0','0','0','0','0','0','0','0','0','0','0','5','5'),('ATTBONUS_BELL','1','1','2','3','4','5','0','0','0','0','0','0','0','0','0','0','0','5','5'),('ATTBONUS_FAN','1','1','2','3','4','5','0','0','0','0','0','0','0','0','0','0','0','5','5'),('ATTBONUS_BOW','1','1','2','3','4','5','0','0','0','0','0','0','0','0','0','0','0','5','5'),('ATTBONUS_CLAW','1','1','2','3','4','5','0','0','0','0','0','0','0','0','0','0','0','5','5'),('ATTBONUS_CZ','1','10','15','20','30','0','0','0','0','0','0','0','0','0','0','0','0','4','4'),('ATTBONUS_INSECT','1','10','15','20','30','0','0','0','0','0','0','0','0','0','0','0','0','4','4'),('ATTBONUS_DESERT','1','10','15','20','30','0','0','0','0','0','0','0','0','0','0','0','0','4','4'),('RESIST_HUMAN','1','2','3','6','10','0','0','0','0','0','0','0','0','0','0','0','0','4','4'),('ATTBONUS_HUMAN','1','1','2','3','5','10','5','0','5','0','0','5','5','5','0','5','5','4','4'),('ATTBONUS_ORC','1','2','4','6','10','20','5','0','5','0','0','5','5','5','0','5','5','0','0'),('ATTBONUS_DEVIL','1','2','4','6','10','20','5','0','5','0','0','5','5','5','0','5','5','0','0'),('ATTBONUS_ANIMAL','1','2','4','6','10','20','5','0','5','0','0','5','5','5','0','5','5','0','0'),('ATTBONUS_UNDEAD','1','2','4','6','10','20','5','0','5','0','0','5','5','5','0','5','5','0','0'),('ATTBONUS_CZ','1','10','15','20','30','0','0','0','0','0','0','0','0','0','0','0','0','4','4'),('ATTBONUS_INSECT','1','10','15','20','30','0','0','0','0','0','0','0','0','0','0','0','0','4','4'),('ATTBONUS_DESERT','1','10','15','20','30','0','0','0','0','0','0','0','0','0','0','0','0','4','4'),('RESIST_MAGIC','1','2','4','6','10','15','0','5','5','0','0','5','0','0','5','5','0','0','0'),('RESIST_ELEC','1','2','4','6','10','15','0','5','5','0','0','5','0','0','5','5','0','0','0'),('RESIST_FIRE','1','2','4','6','10','15','0','5','5','0','0','5','0','0','5','5','0','0','0'),('RESIST_WIND','1','2','4','6','10','15','0','5','5','0','0','5','0','0','5','5','0','0','0'),('RESIST_SWORD','1','2','4','6','10','15','0','5','0','5','5','0','0','5','5','0','5','0','0'),('RESIST_TWOHAND','1','2','4','6','10','15','0','5','0','5','5','0','0','5','5','0','5','0','0'),('RESIST_DAGGER','1','2','4','6','10','15','0','5','0','5','5','0','0','5','5','0','5','0','0'),('RESIST_BELL','1','2','4','6','10','15','0','5','0','5','5','0','0','5','5','0','5','0','0'),('RESIST_FAN','1','2','4','6','10','15','0','5','0','5','5','0','0','5','5','0','5','0','0'),('RESIST_BOW','1','2','4','6','10','15','0','5','0','5','5','0','0','5','5','5','5','0','0'),('RESIST_CLAW','1','2','4','6','10','15','0','5','0','5','5','0','0','5','5','0','5','0','0'),('CON','1','2','4','6','8','12','5','0','0','0','0','0','5','0','0','0','5','0','0'),('INT','1','2','4','6','8','12','5','0','0','0','0','0','5','0','0','0','5','0','0'),('STR','1','2','4','6','8','12','5','0','0','0','0','0','5','0','0','0','5','0','0'),('DEX','1','2','4','6','8','12','5','0','0','0','0','0','5','0','0','0','5','0','0'),('IMMUNE_STUN','1','1','1','1','1','1','0','0','0','0','0','0','1','0','0','0','0','0','0'),('IMMUNE_SLOW','1','1','1','1','1','1','0','0','0','0','0','0','1','0','0','0','0','0','0'),('MAX_HP','1','500','1000','1500','2000','0','0','4','4','4','4','0','0','0','4','0','4','0','0'),('MAX_SP','1','10','20','30','50','80','0','5','5','5','5','0','0','5','5','0','5','0','0'),('CRITICAL_PCT','1','1','2','3','5','10','5','0','0','5','5','0','0','0','0','0','5','0','0'),('PENETRATE_PCT','1','1','2','3','5','10','5','0','5','0','5','0','0','0','0','0','5','0','0'),('ATT_SPEED','1','1','2','3','5','8','0','0','0','5','0','5','0','0','0','5','5','0','0'),('CAST_SPEED','1','2','4','6','10','20','5','5','0','0','0','0','0','0','5','0','5','0','0'),('MOV_SPEED','1','2','4','6','10','20','0','0','0','0','0','0','0','5','0','0','5','0','0'),('STUN_PCT','1','1','2','3','5','8','5','0','0','5','5','0','0','0','0','0','5','5','5'),('SLOW_PCT','1','1','2','3','5','8','5','0','0','5','0','0','0','0','0','0','5','0','0'),('POISON_PCT','1','1','2','3','5','8','5','0','0','0','0','5','0','0','0','5','5','0','0'),('STEAL_HP','1','1','2','3','5','10','0','5','5','0','0','0','0','0','5','0','0','0','0'),('STEAL_SP','1','1','2','3','5','10','0','5','0','0','5','5','0','0','5','5','0','0','0'),('HP_REGEN','1','4','8','12','20','30','0','0','0','0','5','5','0','0','0','5','0','0','0'),('SP_REGEN','1','4','8','12','20','30','0','0','0','0','5','5','0','0','0','5','0','0','0'),('DAMAGE_SP_RECOVER','1','1','2','3','5','10','0','5','0','0','5','5','0','0','0','0','0','0','0'),('ITEM_DROP_BONUS','1','2','4','6','8','20','0','0','5','0','0','0','0','5','0','0','0','0','0'),('GOLD_DOUBLE_BONUS','1','2','4','6','8','20','0','0','0','5','5','0','5','0','0','0','5','0','0'),('EXP_DOUBLE_BONUS','1','2','4','6','8','20','0','0','0','5','5','0','5','0','0','0','5','0','0'),('REFLECT_MELEE','1','2','3','6','10','0','0','4','0','0','0','0','4','0','4','0','0','0','0'),('BLOCK','1','2','4','6','10','15','0','0','0','0','0','0','5','0','0','0','0','0','0');
/*!40000 ALTER TABLE `item_attr` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `item_attr_rare`
--

DROP TABLE IF EXISTS `item_attr_rare`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `item_attr_rare` (
  `apply` enum('MAX_HP','MAX_SP','CON','INT','STR','DEX','ATT_SPEED','MOV_SPEED','CAST_SPEED','HP_REGEN','SP_REGEN','POISON_PCT','STUN_PCT','SLOW_PCT','CRITICAL_PCT','PENETRATE_PCT','ATTBONUS_HUMAN','ATTBONUS_ANIMAL','ATTBONUS_ORC','ATTBONUS_MILGYO','ATTBONUS_UNDEAD','ATTBONUS_DEVIL','STEAL_HP','STEAL_SP','MANA_BURN_PCT','DAMAGE_SP_RECOVER','BLOCK','DODGE','RESIST_SWORD','RESIST_TWOHAND','RESIST_DAGGER','RESIST_BELL','RESIST_FAN','RESIST_BOW','RESIST_FIRE','RESIST_ELEC','RESIST_MAGIC','RESIST_WIND','REFLECT_MELEE','REFLECT_CURSE','POISON_REDUCE','KILL_SP_RECOVER','EXP_DOUBLE_BONUS','GOLD_DOUBLE_BONUS','ITEM_DROP_BONUS','POTION_BONUS','KILL_HP_RECOVER','IMMUNE_STUN','IMMUNE_SLOW','IMMUNE_FALL','SKILL','BOW_DISTANCE','ATT_GRADE_BONUS','DEF_GRADE_BONUS','MAGIC_ATT_GRADE','MAGIC_DEF_GRADE','CURSE_PCT','MAX_STAMINA','ATTBONUS_WARRIOR','ATTBONUS_ASSASSIN','ATTBONUS_SURA','ATTBONUS_SHAMAN','ATTBONUS_MONSTER','MALL_ATTBONUS','MALL_DEFBONUS','MALL_EXPBONUS','MALL_ITEMBONUS','MALL_GOLDBONUS','MAX_HP_PCT','MAX_SP_PCT','SKILL_DAMAGE_BONUS','NORMAL_HIT_DAMAGE_BONUS','SKILL_DEFEND_BONUS','NORMAL_HIT_DEFEND_BONUS','PC_BANG_EXP_BONUS','PC_BANG_DROP_BONUS','EXTRACT_HP_PCT','RESIST_WARRIOR','RESIST_ASSASSIN','RESIST_SURA','RESIST_SHAMAN','ENERGY','DEF_GRADE','COSTUME_ATTR_BONUS','MAGIC_ATTBONUS_PER','MELEE_MAGIC_ATTBONUS_PER','RESIST_ICE','RESIST_EARTH','RESIST_DARK','RESIST_CRITICAL','RESIST_PENETRATE','BLEEDING_REDUCE','BLEEDING_PCT','ATTBONUS_WOLFMAN','RESIST_WOLFMAN','RESIST_CLAW','MOUNT','ACCEDRAIN_RATE','RESIST_MAGIC_REDUCTION','ENCHANT_ELECT','ENCHANT_FIRE','ENCHANT_ICE','ENCHANT_WIND','ENCHANT_EARTH','ENCHANT_DARK','ATTBONUS_CZ','ATTBONUS_INSECT','ATTBONUS_DESERT','ATTBONUS_SWORD','ATTBONUS_TWOHAND','ATTBONUS_DAGGER','ATTBONUS_BELL','ATTBONUS_FAN','ATTBONUS_BOW','ATTBONUS_CLAW','RESIST_HUMAN','ATTBONUS_STONE','SUNGMA_STR','SUNGMA_HP','SUNGMA_MOVE','SUNGMA_IMMUNE','INFINITE_AFFECT_DURATION','ATTACK_SPEED','MOVE_SPEED','ATT_BONUS','DEF_BONUS','ATT_BONUS_TO_WARRIOR','ATT_BONUS_TO_ASSASSIN','ATT_BONUS_TO_SURA','ATT_BONUS_TO_SHAMAN','ATT_BONUS_TO_WOLFMAN') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `prob` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `lv1` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `lv2` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `lv3` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `lv4` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `lv5` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `weapon` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `body` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `wrist` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `foots` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `neck` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `head` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `shield` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `ear` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `pendant` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT ''
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `item_attr_rare`
--

LOCK TABLES `item_attr_rare` WRITE;
/*!40000 ALTER TABLE `item_attr_rare` DISABLE KEYS */;
INSERT INTO `item_attr_rare` VALUES ('MAX_HP','1','2','4','5','8','10','5','0','0','0','0','0','0','0','0'),('INT','1','2','4','5','8','10','5','0','0','0','0','0','0','0','0'),('STR','1','2','4','5','8','10','5','0','0','0','0','0','0','0','0'),('DEX','1','2','4','5','8','10','5','0','0','0','0','0','0','0','0'),('ATTBONUS_MONSTER','1','2','4','5','8','10','5','0','0','0','0','0','0','0','0'),('MAX_SP','1','2','4','5','8','10','5','0','0','0','0','0','0','0','0'),('CON','1','2','4','5','8','10','5','0','0','0','0','0','0','0','0');
/*!40000 ALTER TABLE `item_attr_rare` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `item_award`
--

DROP TABLE IF EXISTS `item_award`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `item_award` (
  `id` int NOT NULL AUTO_INCREMENT,
  `pid` int unsigned NOT NULL DEFAULT '0',
  `login` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `vnum` int unsigned NOT NULL DEFAULT '0',
  `transmutation` int unsigned NOT NULL DEFAULT '0',
  `count` int unsigned NOT NULL DEFAULT '0',
  `given_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `taken_time` datetime DEFAULT NULL,
  `item_id` int DEFAULT NULL,
  `why` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `socket0` int NOT NULL DEFAULT '0',
  `socket1` int NOT NULL DEFAULT '0',
  `socket2` int NOT NULL DEFAULT '0',
  `socket3` int NOT NULL DEFAULT '0',
  `socket4` int NOT NULL DEFAULT '0',
  `socket5` int NOT NULL DEFAULT '0',
  `attrtype0` tinyint NOT NULL DEFAULT '0',
  `attrvalue0` smallint NOT NULL DEFAULT '0',
  `attrtype1` tinyint NOT NULL DEFAULT '0',
  `attrvalue1` smallint NOT NULL DEFAULT '0',
  `attrtype2` tinyint NOT NULL DEFAULT '0',
  `attrvalue2` smallint NOT NULL DEFAULT '0',
  `attrtype3` tinyint NOT NULL DEFAULT '0',
  `attrvalue3` smallint NOT NULL DEFAULT '0',
  `attrtype4` tinyint NOT NULL DEFAULT '0',
  `attrvalue4` smallint NOT NULL DEFAULT '0',
  `attrtype5` tinyint NOT NULL DEFAULT '0',
  `attrvalue5` smallint NOT NULL DEFAULT '0',
  `attrtype6` tinyint NOT NULL DEFAULT '0',
  `attrvalue6` smallint NOT NULL DEFAULT '0',
  `mall` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `pid_idx` (`pid`) USING BTREE,
  KEY `given_time_idx` (`given_time`) USING BTREE,
  KEY `taken_time_idx` (`taken_time`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `item_award`
--

LOCK TABLES `item_award` WRITE;
/*!40000 ALTER TABLE `item_award` DISABLE KEYS */;
/*!40000 ALTER TABLE `item_award` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `item_proto`
--

DROP TABLE IF EXISTS `item_proto`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `item_proto` (
  `vnum` int unsigned NOT NULL DEFAULT '0',
  `name` varbinary(200) NOT NULL DEFAULT 'NoName',
  `locale_name` varbinary(30) NOT NULL DEFAULT 'NoName',
  `type` tinyint NOT NULL DEFAULT '0',
  `subtype` tinyint NOT NULL DEFAULT '0',
  `weight` tinyint DEFAULT '0',
  `size` tinyint DEFAULT '0',
  `antiflag` int DEFAULT '0',
  `flag` int DEFAULT '0',
  `wearflag` int DEFAULT '0',
  `immuneflag` set('PARA','CURSE','STUN','SLEEP','SLOW','POISON','TERROR') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `gold` int DEFAULT '0',
  `shop_buy_price` int unsigned NOT NULL DEFAULT '0',
  `refined_vnum` int unsigned NOT NULL DEFAULT '0',
  `refine_set` smallint unsigned NOT NULL DEFAULT '0',
  `refine_set2` smallint unsigned NOT NULL DEFAULT '0',
  `magic_pct` tinyint NOT NULL DEFAULT '0',
  `limittype0` tinyint DEFAULT '0',
  `limitvalue0` int DEFAULT '0',
  `limittype1` tinyint DEFAULT '0',
  `limitvalue1` int DEFAULT '0',
  `applytype0` tinyint DEFAULT '0',
  `applyvalue0` int DEFAULT '0',
  `applytype1` tinyint DEFAULT '0',
  `applyvalue1` int DEFAULT '0',
  `applytype2` tinyint DEFAULT '0',
  `applyvalue2` int DEFAULT '0',
  `applytype3` tinyint DEFAULT '0',
  `applyvalue3` int DEFAULT '0',
  `value0` int DEFAULT '0',
  `value1` int DEFAULT '0',
  `value2` int DEFAULT '0',
  `value3` int DEFAULT '0',
  `value4` int DEFAULT '0',
  `value5` int DEFAULT '0',
  `socket0` tinyint DEFAULT '-1',
  `socket1` tinyint DEFAULT '-1',
  `socket2` tinyint DEFAULT '-1',
  `socket3` tinyint DEFAULT '-1',
  `socket4` tinyint DEFAULT '-1',
  `socket5` tinyint DEFAULT '-1',
  `specular` tinyint NOT NULL DEFAULT '0',
  `socket_pct` tinyint NOT NULL DEFAULT '0',
  `addon_type` smallint NOT NULL DEFAULT '0',
  PRIMARY KEY (`vnum`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `item_proto`
--

LOCK TABLES `item_proto` WRITE;
/*!40000 ALTER TABLE `item_proto` DISABLE KEYS */;
/*!40000 ALTER TABLE `item_proto` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `land`
--

DROP TABLE IF EXISTS `land`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `land` (
  `id` int NOT NULL AUTO_INCREMENT,
  `map_index` int NOT NULL DEFAULT '0',
  `x` int NOT NULL DEFAULT '0',
  `y` int NOT NULL DEFAULT '0',
  `width` int NOT NULL DEFAULT '0',
  `height` int NOT NULL DEFAULT '0',
  `guild_id` int unsigned NOT NULL DEFAULT '0',
  `guild_level_limit` tinyint NOT NULL DEFAULT '0',
  `price` int unsigned NOT NULL DEFAULT '0',
  `enable` enum('YES','NO') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'NO',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=293 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=FIXED;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `land`
--

LOCK TABLES `land` WRITE;
/*!40000 ALTER TABLE `land` DISABLE KEYS */;
INSERT INTO `land` VALUES (1,1,20200,10000,3000,3000,0,10,65000000,'YES'),(2,1,23500,13600,3000,3000,0,10,65000000,'YES'),(3,1,27600,10900,3000,3000,0,10,65000000,'YES'),(4,1,55600,9600,3000,3000,0,10,65000000,'YES'),(5,1,57100,3800,3000,3000,0,10,65000000,'YES'),(6,1,60900,5200,3000,3000,0,10,65000000,'YES'),(7,1,66100,7900,3000,3000,0,10,65000000,'YES'),(8,1,81400,16800,3000,3000,0,10,65000000,'YES'),(9,1,90700,20400,3000,3000,0,10,50000000,'YES'),(10,1,94300,23700,3000,3000,0,10,50000000,'YES'),(11,1,10800,108500,3000,3000,0,10,40000000,'YES'),(12,1,5900,108500,3000,3000,0,10,40000000,'YES'),(13,1,7700,104300,3000,3000,0,10,40000000,'YES'),(14,1,23400,46200,3000,3000,0,10,70000000,'YES'),(15,1,17200,44400,3000,3000,0,10,70000000,'YES'),(16,1,20000,40100,3000,3000,0,10,70000000,'YES'),(17,1,25800,36900,3000,3000,0,10,70000000,'YES'),(18,1,16900,35800,3000,3000,0,10,70000000,'YES'),(101,21,29400,11400,3000,3000,0,10,50000000,'YES'),(102,21,33600,12700,3000,3000,0,10,50000000,'YES'),(103,21,36300,16300,3000,3000,0,10,50000000,'YES'),(104,21,55900,17200,3000,3000,0,10,50000000,'YES'),(105,21,72800,8500,3000,3000,0,10,65000000,'YES'),(106,21,76300,5400,3000,3000,0,10,65000000,'YES'),(107,21,77600,10200,3000,3000,0,10,65000000,'YES'),(108,21,84200,47200,3000,3000,0,10,70000000,'YES'),(109,21,87800,61000,3000,3000,0,10,70000000,'YES'),(110,21,32100,113800,3000,3000,0,10,45000000,'YES'),(111,21,28800,117200,3000,3000,0,10,45000000,'YES'),(112,21,24400,118700,3000,3000,0,10,45000000,'YES'),(113,21,22600,114400,3000,3000,0,10,45000000,'YES'),(114,21,34800,92300,3000,3000,0,10,70000000,'YES'),(115,21,37500,89000,3000,3000,0,10,70000000,'YES'),(116,21,35100,73600,3000,3000,0,10,70000000,'YES'),(117,21,35400,69200,3000,3000,0,10,70000000,'YES'),(118,21,35400,55600,3000,3000,0,10,70000000,'YES'),(201,41,66100,9400,3000,3000,0,10,45000000,'YES'),(202,41,70300,7900,3000,3000,0,10,45000000,'YES'),(203,41,73600,11500,3000,3000,0,10,45000000,'YES'),(204,41,70900,15100,3000,3000,0,10,45000000,'YES'),(205,41,71800,61900,3000,3000,0,10,65000000,'YES'),(206,41,77000,64100,3000,3000,0,10,65000000,'YES'),(207,41,60700,66800,3000,3000,1,10,65000000,'YES'),(208,41,74500,68200,3000,3000,0,10,65000000,'YES'),(209,41,67900,110800,3000,3000,0,10,40000000,'YES'),(210,41,67900,115700,3000,3000,0,10,40000000,'YES'),(211,41,62800,114800,3000,3000,0,10,40000000,'YES'),(212,41,16600,95300,3000,3000,0,10,65000000,'YES'),(213,41,5400,94100,3000,3000,0,10,50000000,'YES'),(214,41,18600,89300,3000,3000,0,10,65000000,'YES'),(215,41,4600,89800,3000,3000,0,10,50000000,'YES'),(216,41,11200,36000,3000,3000,0,10,70000000,'YES'),(217,41,8200,31800,3000,3000,0,10,70000000,'YES'),(218,41,12000,29200,3000,3000,0,10,70000000,'YES'),(75,4,9600,13100,3000,3000,0,10,70000000,'YES'),(76,4,16100,15600,3000,3000,0,10,70000000,'YES'),(77,4,9100,19500,3000,3000,0,10,70000000,'YES'),(78,4,14900,19500,3000,3000,0,10,70000000,'YES'),(79,4,27700,19500,3000,3000,0,10,65000000,'YES'),(80,4,23600,23000,3000,3000,0,10,65000000,'YES'),(81,4,31800,24200,3000,3000,0,10,65000000,'YES'),(82,4,27900,27300,3000,3000,0,10,65000000,'YES'),(83,4,35500,35400,3000,3000,0,10,40000000,'YES'),(84,4,32800,39300,3000,3000,0,10,40000000,'YES'),(85,4,39700,39600,3000,3000,0,10,40000000,'YES'),(86,4,36100,42700,3000,3000,0,10,40000000,'YES'),(87,4,24400,39000,3000,3000,0,10,50000000,'YES'),(88,4,19900,41600,3000,3000,0,10,50000000,'YES'),(89,4,14400,41700,3000,3000,0,10,50000000,'YES'),(90,4,10200,39100,3000,3000,0,10,50000000,'YES'),(91,4,7700,34600,3000,3000,0,10,50000000,'YES'),(92,4,8400,29500,3000,3000,0,10,50000000,'YES'),(175,24,7100,5200,3000,3000,0,10,40000000,'YES'),(176,24,12800,4800,3000,3000,0,10,40000000,'YES'),(177,24,9700,9900,3000,3000,0,10,40000000,'YES'),(178,24,14500,13300,3000,3000,0,10,40000000,'YES'),(179,24,36900,26000,3000,3000,0,10,50000000,'YES'),(180,24,38600,29800,3000,3000,0,10,50000000,'YES'),(181,24,36500,33900,3000,3000,0,10,50000000,'YES'),(182,24,33600,38600,3000,3000,0,10,50000000,'YES'),(183,24,30900,33500,3000,3000,0,10,50000000,'YES'),(184,24,25700,33500,3000,3000,0,10,70000000,'YES'),(185,24,25600,37800,3000,3000,0,10,70000000,'YES'),(186,24,20900,37800,3000,3000,0,10,70000000,'YES'),(187,24,20900,33700,3000,3000,0,10,70000000,'YES'),(188,24,14200,33700,3000,3000,0,10,65000000,'YES'),(189,24,10000,37100,3000,3000,0,10,65000000,'YES'),(190,24,5800,34800,3000,3000,0,10,65000000,'YES'),(191,24,8800,29800,3000,3000,0,10,65000000,'YES'),(192,24,10500,26100,3000,3000,0,10,65000000,'YES'),(275,44,5400,7700,3000,3000,0,10,40000000,'YES'),(276,44,9700,7300,3000,3000,0,10,40000000,'YES'),(277,44,5500,11500,3000,3000,0,10,40000000,'YES'),(278,44,5100,15500,3000,3000,0,10,40000000,'YES'),(279,44,8900,17900,3000,3000,0,10,40000000,'YES'),(280,44,22200,15600,3000,3000,0,10,50000000,'YES'),(281,44,43000,3700,3000,3000,0,10,70000000,'YES'),(282,44,38900,27200,3000,3000,0,10,50000000,'YES'),(283,44,30200,29900,3000,3000,0,10,50000000,'YES'),(284,44,40000,34500,3000,3000,0,10,50000000,'YES'),(285,44,32800,37000,3000,3000,0,10,50000000,'YES'),(286,44,40600,39300,3000,3000,0,10,50000000,'YES'),(287,44,35600,40600,3000,3000,0,10,50000000,'YES'),(288,44,18500,33600,3000,3000,0,10,70000000,'YES'),(289,44,17300,38500,3000,3000,0,10,70000000,'YES'),(290,44,13500,39400,3000,3000,0,10,70000000,'YES'),(291,44,9100,38700,3000,3000,0,10,65000000,'YES'),(292,44,5000,36300,3000,3000,0,10,65000000,'YES');
/*!40000 ALTER TABLE `land` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lotto_list`
--

DROP TABLE IF EXISTS `lotto_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `lotto_list` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `server` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `pid` int unsigned DEFAULT NULL,
  `time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `lotto_list`
--

LOCK TABLES `lotto_list` WRITE;
/*!40000 ALTER TABLE `lotto_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `lotto_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mailbox`
--

DROP TABLE IF EXISTS `mailbox`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `mailbox` (
  `name` varchar(24) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `who` varchar(24) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `title` varchar(25) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `message` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `gm` tinyint NOT NULL DEFAULT '0',
  `confirm` tinyint NOT NULL DEFAULT '0',
  `send_time` bigint NOT NULL DEFAULT '0',
  `delete_time` bigint NOT NULL DEFAULT '0',
  `gold` int NOT NULL DEFAULT '0',
  `won` int NOT NULL DEFAULT '0',
  `ivnum` int unsigned NOT NULL DEFAULT '0',
  `ichangelookvnum` int unsigned NOT NULL DEFAULT '0',
  `icount` tinyint unsigned NOT NULL DEFAULT '0',
  `socket0` int unsigned NOT NULL DEFAULT '0',
  `socket1` int unsigned NOT NULL DEFAULT '0',
  `socket2` int unsigned NOT NULL DEFAULT '0',
  `socket3` int unsigned NOT NULL DEFAULT '0',
  `socket4` int unsigned NOT NULL DEFAULT '0',
  `socket5` int unsigned NOT NULL DEFAULT '0',
  `apply_type0` tinyint NOT NULL DEFAULT '0',
  `apply_value0` smallint NOT NULL DEFAULT '0',
  `apply_path0` tinyint NOT NULL DEFAULT '0',
  `apply_type1` tinyint NOT NULL DEFAULT '0',
  `apply_value1` smallint NOT NULL DEFAULT '0',
  `apply_path1` tinyint NOT NULL DEFAULT '0',
  `apply_type2` tinyint NOT NULL DEFAULT '0',
  `apply_value2` smallint NOT NULL DEFAULT '0',
  `apply_path2` tinyint NOT NULL DEFAULT '0',
  `apply_type3` tinyint NOT NULL DEFAULT '0',
  `apply_value3` smallint NOT NULL DEFAULT '0',
  `apply_path3` tinyint NOT NULL DEFAULT '0',
  `attrtype0` tinyint NOT NULL DEFAULT '0',
  `attrvalue0` smallint NOT NULL DEFAULT '0',
  `attrtype1` tinyint NOT NULL DEFAULT '0',
  `attrvalue1` smallint NOT NULL DEFAULT '0',
  `attrtype2` tinyint NOT NULL DEFAULT '0',
  `attrvalue2` smallint NOT NULL DEFAULT '0',
  `attrtype3` tinyint NOT NULL DEFAULT '0',
  `attrvalue3` smallint NOT NULL DEFAULT '0',
  `attrtype4` tinyint NOT NULL DEFAULT '0',
  `attrvalue4` smallint NOT NULL DEFAULT '0',
  `attrtype5` tinyint NOT NULL DEFAULT '0',
  `attrvalue5` smallint NOT NULL DEFAULT '0',
  `attrtype6` tinyint NOT NULL DEFAULT '0',
  `attrvalue6` smallint NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mailbox`
--

LOCK TABLES `mailbox` WRITE;
/*!40000 ALTER TABLE `mailbox` DISABLE KEYS */;
/*!40000 ALTER TABLE `mailbox` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `marriage`
--

DROP TABLE IF EXISTS `marriage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `marriage` (
  `is_married` tinyint NOT NULL DEFAULT '0',
  `pid1` int unsigned NOT NULL DEFAULT '0',
  `pid2` int unsigned NOT NULL DEFAULT '0',
  `love_point` int DEFAULT NULL,
  `time` int unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`pid1`,`pid2`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=FIXED;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `marriage`
--

LOCK TABLES `marriage` WRITE;
/*!40000 ALTER TABLE `marriage` DISABLE KEYS */;
/*!40000 ALTER TABLE `marriage` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `messenger_block_list`
--

DROP TABLE IF EXISTS `messenger_block_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `messenger_block_list` (
  `account` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `companion` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `time` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`account`,`companion`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `messenger_block_list`
--

LOCK TABLES `messenger_block_list` WRITE;
/*!40000 ALTER TABLE `messenger_block_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `messenger_block_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `messenger_list`
--

DROP TABLE IF EXISTS `messenger_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `messenger_list` (
  `account` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `companion` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`account`,`companion`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `messenger_list`
--

LOCK TABLES `messenger_list` WRITE;
/*!40000 ALTER TABLE `messenger_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `messenger_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mob_proto`
--

DROP TABLE IF EXISTS `mob_proto`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `mob_proto` (
  `vnum` int NOT NULL DEFAULT '0',
  `name` varchar(24) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'NoName',
  `locale_name` varbinary(40) NOT NULL DEFAULT 'NoName',
  `rank` tinyint NOT NULL DEFAULT '0',
  `type` smallint NOT NULL DEFAULT '0',
  `battle_type` tinyint(1) NOT NULL DEFAULT '0',
  `level` smallint NOT NULL DEFAULT '1',
  `size` tinyint NOT NULL DEFAULT '100',
  `ai_flag` set('AGGR','NOMOVE','COWARD','NOATTSHINSU','NOATTCHUNJO','NOATTJINNO','ATTMOB','BERSERK','STONESKIN','GODSPEED','DEATHBLOW','REVIVE','HEALER','COUNT','NORECOVERY','REFLECT','FALL','VIT','RATTSPEED','RCASTSPEED','RHP_REGEN','TIMEVIT') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '',
  `mount_capacity` tinyint NOT NULL DEFAULT '0',
  `setRaceFlag` set('ANIMAL','UNDEAD','DEVIL','HUMAN','ORC','MILGYO','INSECT','FIRE','ICE','DESERT','TREE','ELEC','WIND','EARTH','DARK','ATT_ELEC','ATT_FIRE','ATT_ICE','ATT_WIND','ATT_EARTH','ATT_DARK') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `setImmuneFlag` set('STUN','SLOW','FALL','CURSE','POISON','TERROR') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `empire` tinyint NOT NULL DEFAULT '0',
  `folder` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `on_click` tinyint NOT NULL DEFAULT '0',
  `st` smallint unsigned NOT NULL DEFAULT '0',
  `dx` smallint unsigned NOT NULL DEFAULT '0',
  `ht` smallint unsigned NOT NULL DEFAULT '0',
  `iq` smallint unsigned NOT NULL DEFAULT '0',
  `damage_min` smallint unsigned NOT NULL DEFAULT '0',
  `damage_max` smallint unsigned NOT NULL DEFAULT '0',
  `max_hp` bigint unsigned NOT NULL DEFAULT '0',
  `regen_cycle` tinyint unsigned NOT NULL DEFAULT '0',
  `regen_percent` tinyint unsigned NOT NULL DEFAULT '0',
  `gold_min` int NOT NULL DEFAULT '0',
  `gold_max` int NOT NULL DEFAULT '0',
  `exp` int unsigned NOT NULL DEFAULT '0',
  `def` smallint unsigned NOT NULL DEFAULT '0',
  `attack_speed` smallint unsigned NOT NULL DEFAULT '100',
  `move_speed` smallint unsigned NOT NULL DEFAULT '100',
  `aggressive_hp_pct` tinyint unsigned NOT NULL DEFAULT '0',
  `aggressive_sight` smallint unsigned NOT NULL DEFAULT '0',
  `attack_range` smallint unsigned NOT NULL DEFAULT '0',
  `drop_item` int unsigned NOT NULL DEFAULT '0',
  `resurrection_vnum` int unsigned NOT NULL DEFAULT '0',
  `enchant_curse` tinyint NOT NULL DEFAULT '0',
  `enchant_slow` tinyint NOT NULL DEFAULT '0',
  `enchant_poison` tinyint NOT NULL DEFAULT '0',
  `enchant_stun` tinyint NOT NULL DEFAULT '0',
  `enchant_critical` tinyint NOT NULL DEFAULT '0',
  `enchant_penetrate` tinyint NOT NULL DEFAULT '0',
  `resist_sword` tinyint NOT NULL DEFAULT '0',
  `resist_twohand` tinyint NOT NULL DEFAULT '0',
  `resist_dagger` tinyint NOT NULL DEFAULT '0',
  `resist_bell` tinyint NOT NULL DEFAULT '0',
  `resist_fan` tinyint NOT NULL DEFAULT '0',
  `resist_bow` tinyint NOT NULL DEFAULT '0',
  `resist_claw` tinyint NOT NULL DEFAULT '0',
  `resist_fire` tinyint NOT NULL DEFAULT '0',
  `resist_elect` tinyint NOT NULL DEFAULT '0',
  `resist_magic` tinyint NOT NULL DEFAULT '0',
  `resist_wind` tinyint NOT NULL DEFAULT '0',
  `resist_poison` tinyint NOT NULL DEFAULT '0',
  `resist_bleeding` tinyint DEFAULT NULL,
  `att_elec` tinyint NOT NULL DEFAULT '0',
  `att_fire` tinyint NOT NULL DEFAULT '0',
  `att_ice` tinyint NOT NULL DEFAULT '0',
  `att_wind` tinyint NOT NULL DEFAULT '0',
  `att_earth` tinyint NOT NULL DEFAULT '0',
  `att_dark` tinyint NOT NULL DEFAULT '0',
  `dam_multiply` float DEFAULT NULL,
  `summon` int DEFAULT NULL,
  `drain_sp` int DEFAULT NULL,
  `mob_color` int unsigned DEFAULT NULL,
  `polymorph_item` int unsigned NOT NULL DEFAULT '0',
  `skill_level0` tinyint unsigned DEFAULT NULL,
  `skill_vnum0` int unsigned DEFAULT NULL,
  `skill_level1` tinyint unsigned DEFAULT NULL,
  `skill_vnum1` int unsigned DEFAULT NULL,
  `skill_level2` tinyint unsigned DEFAULT NULL,
  `skill_vnum2` int unsigned DEFAULT NULL,
  `skill_level3` tinyint unsigned DEFAULT NULL,
  `skill_vnum3` int unsigned DEFAULT NULL,
  `skill_level4` tinyint unsigned DEFAULT NULL,
  `skill_vnum4` int unsigned DEFAULT NULL,
  `sp_berserk` tinyint NOT NULL DEFAULT '0',
  `sp_stoneskin` tinyint NOT NULL DEFAULT '0',
  `sp_godspeed` tinyint NOT NULL DEFAULT '0',
  `sp_deathblow` tinyint NOT NULL DEFAULT '0',
  `sp_revive` tinyint NOT NULL DEFAULT '0',
  PRIMARY KEY (`vnum`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mob_proto`
--

LOCK TABLES `mob_proto` WRITE;
/*!40000 ALTER TABLE `mob_proto` DISABLE KEYS */;
/*!40000 ALTER TABLE `mob_proto` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `monarch`
--

DROP TABLE IF EXISTS `monarch`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `monarch` (
  `empire` int unsigned NOT NULL DEFAULT '0',
  `pid` int unsigned DEFAULT NULL,
  `windate` datetime DEFAULT NULL,
  `money` bigint unsigned DEFAULT NULL,
  PRIMARY KEY (`empire`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=FIXED;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `monarch`
--

LOCK TABLES `monarch` WRITE;
/*!40000 ALTER TABLE `monarch` DISABLE KEYS */;
/*!40000 ALTER TABLE `monarch` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `monarch_candidacy`
--

DROP TABLE IF EXISTS `monarch_candidacy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `monarch_candidacy` (
  `pid` int unsigned NOT NULL DEFAULT '0',
  `name` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `date` datetime DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`pid`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `monarch_candidacy`
--

LOCK TABLES `monarch_candidacy` WRITE;
/*!40000 ALTER TABLE `monarch_candidacy` DISABLE KEYS */;
/*!40000 ALTER TABLE `monarch_candidacy` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `monarch_election`
--

DROP TABLE IF EXISTS `monarch_election`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `monarch_election` (
  `pid` int unsigned NOT NULL DEFAULT '0',
  `selectedpid` int unsigned DEFAULT '0',
  `electiondata` datetime DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`pid`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=FIXED;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `monarch_election`
--

LOCK TABLES `monarch_election` WRITE;
/*!40000 ALTER TABLE `monarch_election` DISABLE KEYS */;
/*!40000 ALTER TABLE `monarch_election` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `myshop_pricelist`
--

DROP TABLE IF EXISTS `myshop_pricelist`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `myshop_pricelist` (
  `owner_id` int unsigned NOT NULL DEFAULT '0',
  `item_vnum` int unsigned NOT NULL DEFAULT '0',
  `price` int unsigned NOT NULL DEFAULT '0',
  `price_cheque` int NOT NULL,
  UNIQUE KEY `list_id` (`owner_id`,`item_vnum`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=FIXED;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `myshop_pricelist`
--

LOCK TABLES `myshop_pricelist` WRITE;
/*!40000 ALTER TABLE `myshop_pricelist` DISABLE KEYS */;
/*!40000 ALTER TABLE `myshop_pricelist` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `object`
--

DROP TABLE IF EXISTS `object`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `object` (
  `id` int NOT NULL AUTO_INCREMENT,
  `land_id` int NOT NULL DEFAULT '0',
  `vnum` int unsigned NOT NULL DEFAULT '0',
  `map_index` int NOT NULL DEFAULT '0',
  `x` int NOT NULL DEFAULT '0',
  `y` int NOT NULL DEFAULT '0',
  `x_rot` float NOT NULL DEFAULT '0',
  `y_rot` float NOT NULL DEFAULT '0',
  `z_rot` float NOT NULL DEFAULT '0',
  `life` int NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=FIXED;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `object`
--

LOCK TABLES `object` WRITE;
/*!40000 ALTER TABLE `object` DISABLE KEYS */;
/*!40000 ALTER TABLE `object` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `object_proto`
--

DROP TABLE IF EXISTS `object_proto`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `object_proto` (
  `vnum` int unsigned NOT NULL DEFAULT '0',
  `name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `price` int unsigned NOT NULL DEFAULT '0',
  `materials` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `upgrade_vnum` int unsigned NOT NULL DEFAULT '0',
  `upgrade_limit_time` int unsigned NOT NULL DEFAULT '0',
  `life` int NOT NULL DEFAULT '0',
  `reg_1` int NOT NULL DEFAULT '0',
  `reg_2` int NOT NULL DEFAULT '0',
  `reg_3` int NOT NULL DEFAULT '0',
  `reg_4` int NOT NULL DEFAULT '0',
  `npc` int unsigned NOT NULL DEFAULT '0',
  `group_vnum` int unsigned NOT NULL DEFAULT '0',
  `dependent_group` int unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`vnum`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `object_proto`
--

LOCK TABLES `object_proto` WRITE;
/*!40000 ALTER TABLE `object_proto` DISABLE KEYS */;
INSERT INTO `object_proto` VALUES (14003,'Factory',20000000,'90010,15/90011,25/90012,30',0,0,0,-528,-411,528,411,0,0,0),(14013,'Weaponsmith',20000000,'90010,20/90011,30/90012,20',0,0,0,-525,-525,525,525,20044,2,1),(14014,'Armoursmith',20000000,'90010,20/90011,30/90012,20',0,0,0,-525,-525,525,525,20045,2,1),(14015,'Jeweller',20000000,'90010,20/90011,30/90012,20',0,0,0,-525,-525,525,525,20046,2,1),(14023,'Headquarters',20000000,'90010,30/90011,35/90012,35',0,0,0,-457,-495,457,530,0,0,0),(14033,'Training Centre',20000000,'90010,25/90011,25/90012,25',0,0,0,-833,-473,833,473,0,0,0),(14043,'Diamond Smelter',20000000,'90010,15/90011,20/90012,25',0,0,0,-180,-200,180,200,20060,3,1),(14044,'Amber Smelter',20000000,'90010,15/90011,20/90012,25',0,0,0,-180,-200,180,200,20061,3,1),(14045,'Fossil Wood Smelter',20000000,'90010,15/90011,20/90012,25',0,0,0,-180,-200,180,200,20062,3,1),(14046,'Copper Smelter',20000000,'90010,15/90011,20/90012,25',0,0,0,-180,-200,180,200,20063,3,1),(14047,'Silver Smelter',20000000,'90010,15/90011,20/90012,25',0,0,0,-180,-200,180,200,20064,3,1),(14048,'Gold Smelter',20000000,'90010,15/90011,20/90012,25',0,0,0,-180,-200,180,200,20065,3,1),(14049,'Jade Smelter',20000000,'90010,15/90011,20/90012,25',0,0,0,-180,-200,180,200,20066,3,1),(14050,'Ebony Stone Smelter',20000000,'90010,15/90011,20/90012,25',0,0,0,-180,-200,180,200,20067,3,1),(14051,'Pearl Smelter',20000000,'90010,15/90011,20/90012,25',0,0,0,-180,-200,180,200,20068,3,1),(14052,'White Gold Smelter',20000000,'90010,15/90011,20/90012,25',0,0,0,-180,-200,180,200,20069,3,1),(14053,'Crystal Smelter',20000000,'90010,15/90011,20/90012,25',0,0,0,-180,-200,180,200,20070,3,1),(14054,'Amethyst Smelter',20000000,'90010,15/90011,20/90012,25',0,0,0,-180,-200,180,200,20071,3,1),(14055,'Heavens Tear Smelter',20000000,'90010,15/90011,20/90012,25',0,0,0,-180,-200,180,200,20072,3,1),(14061,'Altar of Power',25000000,'90010,25/90011,25/90012,25',0,0,0,-524,-996,528,751,20077,4,1),(14062,'Altar of Power',500000000,'90010,50/90011,50/90012,50',0,0,0,-586,-996,587,819,20078,4,4),(14063,'Altar of Power',750000000,'90010,75/90011,75/90012,75',0,0,0,-665,-996,666,897,20079,4,4),(14071,'Guild Warehouse',25000000,'90010,25/90011,25/90012,25',0,0,0,-524,-996,528,751,60000,6,1),(14072,'Guild Warehouse',500000000,'90010,50/90011,50/90012,50',0,0,0,-586,-996,587,819,60001,6,6),(14073,'Guild Warehouse',750000000,'90010,75/90011,75/90012,75',0,0,0,-665,-996,666,897,60002,6,6),(14074,'Soul Crystal Smelter',20000000,'90010,15/90011,20/90012,25',0,0,0,-180,-200,180,200,20423,3,1),(14075,'Ruby Smelter',20000000,'90010,15/90011,20/90012,25',0,0,0,-180,-200,180,200,20424,3,1),(14076,'Garnet Smelter',20000000,'90010,15/90011,20/90012,25',0,0,0,-180,-200,180,200,20425,3,1),(14077,'Emerald Smelter',20000000,'90010,15/90011,20/90012,25',0,0,0,-180,-200,180,200,20426,3,1),(14078,'Sapphire Smelter',20000000,'90010,15/90011,20/90012,25',0,0,0,-180,-200,180,200,20427,3,1),(14079,'Tourmaline Smelter',20000000,'90010,15/90011,20/90012,25',0,0,0,-180,-200,180,200,20428,3,1),(14100,'House (1)',20000000,'90010,20/90011,30/90012,25',0,0,0,-677,-894,690,749,0,1,0),(14101,'Stone Wall (1-1)',2000000,'90010,15/90011,5/90012,5',0,0,0,-400,-154,156,400,0,5,0),(14102,'Stone Wall (1-2)',1000000,'90010,15/90011,5/90012,5',0,0,0,-200,-107,300,107,0,5,0),(14103,'Stone Wall (1-3)',1000000,'90010,15/90011,5/90012,5',0,0,0,-500,-107,500,107,0,5,0),(14104,'Gate (1)',2500000,'90010,5/90011,15/90012,10',0,0,0,-1000,-275,1000,275,0,5,0),(14105,'Wall (1)',2500000,'90010,5/90011,15/90012,10',0,0,0,-1000,-275,1000,275,0,5,0),(14110,'House (2)',20000000,'90010,20/90011,30/90012,25',0,0,0,-679,-894,688,749,0,1,0),(14111,'Stone Wall (2-1)',2000000,'90010,15/90011,5/90012,5',0,0,0,-400,-154,156,400,0,5,0),(14112,'Stone Wall (2-2)',1000000,'90010,15/90011,5/90012,5',0,0,0,-200,-107,300,107,0,5,0),(14113,'Stone Wall (2-3)',1000000,'90010,15/90011,5/90012,5',0,0,0,-500,-107,500,107,0,5,0),(14114,'Gate (2)',2500000,'90010,5/90011,15/90012,10',0,0,0,-1000,-275,1000,275,0,5,0),(14115,'Wall (2)',2500000,'90010,5/90011,15/90012,10',0,0,0,-1000,-275,1000,275,0,5,0),(14120,'House (3)',20000000,'90010,20/90011,30/90012,25',0,0,0,-677,-894,690,749,0,1,0),(14121,'Stone Wall (3-1)',2000000,'90010,15/90011,5/90012,5',0,0,0,-400,-154,156,400,0,5,0),(14122,'Stone Wall (3-2)',1000000,'90010,15/90011,5/90012,5',0,0,0,-200,-107,300,107,0,5,0),(14123,'Stone Wall (3-3)',1000000,'90010,15/90011,5/90012,5',0,0,0,-500,-107,500,107,0,5,0),(14124,'Gate (3)',2500000,'90010,5/90011,15/90012,10',0,0,0,-1000,-275,1000,275,0,5,0),(14125,'Wall (3)',2500000,'90010,5/90011,15/90012,10',0,0,0,-1000,-275,1000,275,0,5,0),(14140,'Watch Tower',3000000,'90010,20/90011,30/90012,35',0,0,0,-188,-221,188,221,0,0,0),(14141,'Wooden Wall (1-1)',800000,'90010,5/90011,15/90012,15',0,0,0,-4,-80,349,80,0,0,0),(14142,'Wooden Wall (1-2)',500000,'90010,5/90011,15/90012,15',0,0,0,-72,-72,72,72,0,0,0),(14143,'Wooden Wall (1-3)',800000,'90010,5/90011,15/90012,15',0,0,0,-391,-105,4,105,0,0,0),(14144,'Gate (4)',2000000,'90010,5/90011,20/90012,20',0,0,0,-2,-192,696,192,0,0,0),(14145,'Wall (4)',2500000,'90010,5/90011,15/90012,10',0,0,0,-1000,-275,1000,275,0,0,0),(14200,'Guild Insignia',3000000,'90011,5/90012,5',0,0,0,-46,-9,43,40,0,0,1),(14201,'Wall Front',3000000,'90010.50',0,0,0,-1000,-54,1000,20,0,0,1),(14202,'Wall Back',3000000,'90010.50',0,0,0,-1000,-18,1000,18,0,0,1),(14203,'Left Side of Wall',3000000,'90010.50',0,0,0,-19,-1362,19,1362,0,0,1),(14204,'Right Side of Wall',3000000,'90010.50',0,0,0,-18,-1362,18,1362,0,0,1),(14300,'Stone (1)',300000,'90010,5',0,0,0,-116,-118,116,118,0,0,0),(14301,'Stone (2)',300000,'90010,5',0,0,0,-118,-133,118,133,0,0,0),(14302,'Stone (3)',300000,'90010,7',0,0,0,-133,-103,133,103,0,0,0),(14303,'Stone (4)',300000,'90010,7',0,0,0,-104,-118,104,118,0,0,0),(14304,'Stone (5)',300000,'90010,7',0,0,0,-172,-146,172,146,0,0,0),(14305,'Stone (6)',300000,'90010,8',0,0,0,-193,-202,193,202,0,0,0),(14306,'Stone (7)',300000,'90010,8',0,0,0,-184,-184,184,184,0,0,0),(14307,'Stone (8)',300000,'90010,8',0,0,0,-67,-57,67,57,0,0,0),(14308,'Stone (9)',300000,'90010,9',0,0,0,-66,-53,66,53,0,0,0),(14309,'Stone (10)',300000,'90010,9',0,0,0,-182,-123,182,123,0,0,0),(14400,'Tree (1)',2000000,'90011,5',0,0,0,0,0,0,0,0,0,0),(14401,'Tree (2)',2000000,'90011,5',0,0,0,0,0,0,0,0,0,0),(14402,'Tree (3)',2000000,'90011,7',0,0,0,0,0,0,0,0,0,0),(14403,'Tree (4)',2000000,'90011,7',0,0,0,0,0,0,0,0,0,0),(14404,'Tree (5)',2000000,'90011,7',0,0,0,0,0,0,0,0,0,0),(14405,'Tree (6)',2000000,'90011,9',0,0,0,0,0,0,0,0,0,0),(14406,'Tree (7)',2000000,'90011,9',0,0,0,0,0,0,0,0,0,0),(14407,'Tree (8)',2000000,'90011,9',0,0,0,0,0,0,0,0,0,0),(14408,'Tree (9)',2000000,'90011,9',0,0,0,0,0,0,0,0,0,0),(20139,'Guild Banner (Purple)',1000000,'90011',0,0,0,-100,-100,100,100,0,0,0),(20140,'Guild Banner (Blue/Green)',1000000,'90011',0,0,0,-100,-100,100,100,0,0,0),(20141,'Guild Banner (Red/Gold)',1000000,'90011',0,0,0,-100,-100,100,100,0,0,0);
/*!40000 ALTER TABLE `object_proto` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `okey_event`
--

DROP TABLE IF EXISTS `okey_event`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `okey_event` (
  `pid` int DEFAULT NULL,
  `name` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `points` int DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `okey_event`
--

LOCK TABLES `okey_event` WRITE;
/*!40000 ALTER TABLE `okey_event` DISABLE KEYS */;
/*!40000 ALTER TABLE `okey_event` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pcbang_ip`
--

DROP TABLE IF EXISTS `pcbang_ip`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pcbang_ip` (
  `id` int NOT NULL AUTO_INCREMENT,
  `pcbang_id` int NOT NULL DEFAULT '0',
  `ip` varchar(15) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '000.000.000.000',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `ip` (`ip`) USING BTREE,
  KEY `pcbang_id` (`pcbang_id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pcbang_ip`
--

LOCK TABLES `pcbang_ip` WRITE;
/*!40000 ALTER TABLE `pcbang_ip` DISABLE KEYS */;
/*!40000 ALTER TABLE `pcbang_ip` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `player`
--

DROP TABLE IF EXISTS `player`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `player` (
  `id` int NOT NULL AUTO_INCREMENT,
  `account_id` int NOT NULL DEFAULT '0',
  `name` varchar(24) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'NONAME',
  `job` tinyint unsigned NOT NULL DEFAULT '0',
  `voice` tinyint unsigned NOT NULL DEFAULT '0',
  `dir` tinyint NOT NULL DEFAULT '0',
  `x` int NOT NULL DEFAULT '0',
  `y` int NOT NULL DEFAULT '0',
  `z` int NOT NULL DEFAULT '0',
  `map_index` int NOT NULL DEFAULT '0',
  `exit_x` int NOT NULL DEFAULT '0',
  `exit_y` int NOT NULL DEFAULT '0',
  `exit_map_index` int NOT NULL DEFAULT '0',
  `hp` bigint NOT NULL DEFAULT '0',
  `mp` bigint NOT NULL DEFAULT '0',
  `stamina` smallint NOT NULL DEFAULT '0',
  `random_hp` smallint unsigned NOT NULL DEFAULT '0',
  `random_sp` smallint unsigned NOT NULL DEFAULT '0',
  `playtime` int NOT NULL DEFAULT '0',
  `level` tinyint unsigned NOT NULL DEFAULT '1',
  `level_step` tinyint(1) NOT NULL DEFAULT '0',
  `st` smallint NOT NULL DEFAULT '0',
  `ht` smallint NOT NULL DEFAULT '0',
  `dx` smallint NOT NULL DEFAULT '0',
  `iq` smallint NOT NULL DEFAULT '0',
  `exp` int NOT NULL DEFAULT '0',
  `gold` bigint NOT NULL DEFAULT '0',
  `cheque` int NOT NULL DEFAULT '0',
  `gem` int unsigned NOT NULL DEFAULT '0',
  `stat_point` smallint NOT NULL DEFAULT '0',
  `skill_point` smallint NOT NULL DEFAULT '0',
  `quickslot` tinyblob,
  `ip` varchar(15) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0.0.0.0',
  `part_main` int unsigned NOT NULL DEFAULT '0',
  `part_base` int NOT NULL DEFAULT '0',
  `part_hair` int NOT NULL DEFAULT '0',
  `part_acce` int NOT NULL DEFAULT '0',
  `skill_group` tinyint NOT NULL DEFAULT '0',
  `skill_level` blob,
  `alignment` int NOT NULL DEFAULT '0',
  `conqueror_level` tinyint unsigned NOT NULL DEFAULT '0',
  `conqueror_level_step` tinyint(1) NOT NULL,
  `sungma_str` smallint NOT NULL,
  `sungma_hp` smallint NOT NULL,
  `sungma_move` smallint NOT NULL,
  `sungma_immune` smallint NOT NULL,
  `conqueror_exp` int NOT NULL,
  `conqueror_point` smallint NOT NULL,
  `last_play` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `change_name` tinyint(1) NOT NULL DEFAULT '0',
  `sub_skill_point` smallint NOT NULL DEFAULT '0',
  `stat_reset_count` tinyint NOT NULL DEFAULT '0',
  `horse_hp` smallint NOT NULL DEFAULT '0',
  `horse_stamina` smallint NOT NULL DEFAULT '0',
  `horse_level` tinyint unsigned NOT NULL DEFAULT '0',
  `horse_hp_droptime` int unsigned NOT NULL DEFAULT '0',
  `horse_riding` tinyint(1) NOT NULL DEFAULT '0',
  `horse_skill_point` smallint NOT NULL DEFAULT '0',
  `shop_gold` bigint NOT NULL DEFAULT '0',
  `shop_cheque` int NOT NULL DEFAULT '0',
  `pin` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0000',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `account_id_idx` (`account_id`) USING BTREE,
  KEY `name_idx` (`name`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `player`
--

LOCK TABLES `player` WRITE;
/*!40000 ALTER TABLE `player` DISABLE KEYS */;
/*!40000 ALTER TABLE `player` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `player_deleted`
--

DROP TABLE IF EXISTS `player_deleted`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `player_deleted` (
  `id` int NOT NULL AUTO_INCREMENT,
  `account_id` int NOT NULL DEFAULT '0',
  `name` varchar(24) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'NONAME',
  `job` tinyint unsigned NOT NULL DEFAULT '0',
  `voice` tinyint unsigned NOT NULL DEFAULT '0',
  `dir` tinyint NOT NULL DEFAULT '0',
  `x` int NOT NULL DEFAULT '0',
  `y` int NOT NULL DEFAULT '0',
  `z` int NOT NULL DEFAULT '0',
  `map_index` int NOT NULL DEFAULT '0',
  `exit_x` int NOT NULL DEFAULT '0',
  `exit_y` int NOT NULL DEFAULT '0',
  `exit_map_index` int NOT NULL DEFAULT '0',
  `hp` bigint NOT NULL DEFAULT '0',
  `mp` bigint NOT NULL DEFAULT '0',
  `stamina` smallint NOT NULL DEFAULT '0',
  `random_hp` smallint unsigned NOT NULL DEFAULT '0',
  `random_sp` smallint unsigned NOT NULL DEFAULT '0',
  `playtime` int NOT NULL DEFAULT '0',
  `level` tinyint unsigned NOT NULL DEFAULT '1',
  `level_step` tinyint(1) NOT NULL DEFAULT '0',
  `st` smallint NOT NULL DEFAULT '0',
  `ht` smallint NOT NULL DEFAULT '0',
  `dx` smallint NOT NULL DEFAULT '0',
  `iq` smallint NOT NULL DEFAULT '0',
  `exp` int NOT NULL DEFAULT '0',
  `gold` bigint NOT NULL DEFAULT '0',
  `cheque` int NOT NULL DEFAULT '0',
  `gem` int unsigned NOT NULL DEFAULT '0',
  `stat_point` smallint NOT NULL DEFAULT '0',
  `skill_point` smallint NOT NULL DEFAULT '0',
  `quickslot` tinyblob,
  `ip` varchar(15) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT '0.0.0.0',
  `part_main` smallint unsigned NOT NULL DEFAULT '0',
  `part_base` tinyint NOT NULL DEFAULT '0',
  `part_hair` smallint NOT NULL DEFAULT '0',
  `part_acce` smallint NOT NULL DEFAULT '0',
  `skill_group` tinyint NOT NULL DEFAULT '0',
  `skill_level` blob,
  `alignment` int NOT NULL DEFAULT '0',
  `conqueror_level` tinyint unsigned NOT NULL DEFAULT '0',
  `conqueror_level_step` tinyint(1) NOT NULL,
  `sungma_str` smallint NOT NULL,
  `sungma_hp` smallint NOT NULL,
  `sungma_move` smallint NOT NULL,
  `sungma_immune` smallint NOT NULL,
  `conqueror_exp` int NOT NULL,
  `conqueror_point` smallint NOT NULL,
  `last_play` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `change_name` tinyint(1) NOT NULL DEFAULT '0',
  `sub_skill_point` smallint NOT NULL DEFAULT '0',
  `stat_reset_count` tinyint NOT NULL DEFAULT '0',
  `horse_hp` smallint NOT NULL DEFAULT '0',
  `horse_stamina` smallint NOT NULL DEFAULT '0',
  `horse_level` tinyint unsigned NOT NULL DEFAULT '0',
  `horse_hp_droptime` int unsigned NOT NULL DEFAULT '0',
  `horse_riding` tinyint(1) NOT NULL DEFAULT '0',
  `horse_skill_point` smallint NOT NULL DEFAULT '0',
  `shop_gold` bigint NOT NULL DEFAULT '0',
  `shop_cheque` int NOT NULL DEFAULT '0',
  `pin` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0000',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `account_id_idx` (`account_id`) USING BTREE,
  KEY `name_idx` (`name`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `player_deleted`
--

LOCK TABLES `player_deleted` WRITE;
/*!40000 ALTER TABLE `player_deleted` DISABLE KEYS */;
/*!40000 ALTER TABLE `player_deleted` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `player_index`
--

DROP TABLE IF EXISTS `player_index`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `player_index` (
  `id` int NOT NULL DEFAULT '0',
  `pid1` int NOT NULL DEFAULT '0',
  `pid2` int NOT NULL DEFAULT '0',
  `pid3` int NOT NULL DEFAULT '0',
  `pid4` int NOT NULL DEFAULT '0',
  `pid5` int NOT NULL DEFAULT '0',
  `empire` tinyint NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `id unique` (`id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=FIXED;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `player_index`
--

LOCK TABLES `player_index` WRITE;
/*!40000 ALTER TABLE `player_index` DISABLE KEYS */;
/*!40000 ALTER TABLE `player_index` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `quest`
--

DROP TABLE IF EXISTS `quest`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `quest` (
  `dwPID` int unsigned NOT NULL DEFAULT '0',
  `szName` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `szState` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `lValue` int NOT NULL DEFAULT '0',
  PRIMARY KEY (`dwPID`,`szName`,`szState`) USING BTREE,
  KEY `pid_idx` (`dwPID`) USING BTREE,
  KEY `name_idx` (`szName`) USING BTREE,
  KEY `state_idx` (`szState`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quest`
--

LOCK TABLES `quest` WRITE;
/*!40000 ALTER TABLE `quest` DISABLE KEYS */;
/*!40000 ALTER TABLE `quest` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `refine_proto`
--

DROP TABLE IF EXISTS `refine_proto`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `refine_proto` (
  `id` int NOT NULL AUTO_INCREMENT,
  `vnum0` int unsigned NOT NULL DEFAULT '0',
  `count0` smallint NOT NULL DEFAULT '0',
  `vnum1` int unsigned NOT NULL DEFAULT '0',
  `count1` smallint NOT NULL DEFAULT '0',
  `vnum2` int unsigned NOT NULL DEFAULT '0',
  `count2` smallint NOT NULL DEFAULT '0',
  `vnum3` int unsigned NOT NULL DEFAULT '0',
  `count3` smallint NOT NULL DEFAULT '0',
  `vnum4` int unsigned NOT NULL DEFAULT '0',
  `count4` smallint NOT NULL DEFAULT '0',
  `cost` int NOT NULL DEFAULT '0',
  `src_vnum` int unsigned NOT NULL DEFAULT '0',
  `result_vnum` int unsigned NOT NULL DEFAULT '0',
  `prob` smallint NOT NULL DEFAULT '100',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=1000 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=FIXED;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `refine_proto`
--

LOCK TABLES `refine_proto` WRITE;
/*!40000 ALTER TABLE `refine_proto` DISABLE KEYS */;
INSERT INTO `refine_proto` VALUES (1,0,1,0,0,0,0,0,0,0,0,600,0,0,100),(2,0,1,0,0,0,0,0,0,0,0,1200,0,0,100),(3,0,1,0,0,0,0,0,0,0,0,2500,0,0,100),(4,0,1,0,0,0,0,0,0,0,0,5000,0,0,100),(5,0,1,0,0,0,0,0,0,0,0,10000,0,0,100),(6,0,1,0,0,0,0,0,0,0,0,20000,0,0,100),(7,30053,1,0,0,0,0,0,0,0,0,30000,0,0,100),(8,30073,2,0,0,0,0,0,0,0,0,45000,0,0,100),(9,30033,2,0,0,0,0,0,0,0,0,75000,0,0,100),(10,0,1,0,0,0,0,0,0,0,0,1000,0,0,100),(11,0,1,0,0,0,0,0,0,0,0,2000,0,0,100),(12,0,1,0,0,0,0,0,0,0,0,4000,0,0,100),(13,0,1,0,0,0,0,0,0,0,0,8000,0,0,100),(14,30030,2,0,0,0,0,0,0,0,0,13000,0,0,100),(15,30075,2,0,0,0,0,0,0,0,0,20000,0,0,100),(16,30056,2,27799,1,0,0,0,0,0,0,40000,0,0,100),(17,30022,2,27987,1,0,0,0,0,0,0,70000,0,0,100),(18,30067,2,27987,1,0,0,0,0,0,0,120000,0,0,100),(19,0,1,0,0,0,0,0,0,0,0,1200,0,0,100),(20,0,1,0,0,0,0,0,0,0,0,2500,0,0,100),(21,0,1,0,0,0,0,0,0,0,0,5000,0,0,100),(22,0,1,0,0,0,0,0,0,0,0,10000,0,0,100),(23,30079,1,0,0,0,0,0,0,0,0,20000,0,0,100),(24,30015,1,0,0,0,0,0,0,0,0,30000,0,0,100),(25,30016,2,27992,1,0,0,0,0,0,0,45000,0,0,100),(26,30089,2,27993,1,0,0,0,0,0,0,90000,0,0,100),(27,30091,1,27994,1,0,0,0,0,0,0,150000,0,0,100),(28,0,1,0,0,0,0,0,0,0,0,600,0,0,100),(29,0,1,0,0,0,0,0,0,0,0,1200,0,0,100),(30,0,1,0,0,0,0,0,0,0,0,2500,0,0,100),(31,0,1,0,0,0,0,0,0,0,0,5000,0,0,100),(32,0,1,0,0,0,0,0,0,0,0,10000,0,0,100),(33,0,1,0,0,0,0,0,0,0,0,20000,0,0,100),(34,30034,2,0,0,0,0,0,0,0,0,30000,0,0,100),(35,30011,2,0,0,0,0,0,0,0,0,45000,0,0,100),(36,30035,2,0,0,0,0,0,0,0,0,75000,0,0,100),(37,0,1,0,0,0,0,0,0,0,0,1000,0,0,100),(38,0,1,0,0,0,0,0,0,0,0,2000,0,0,100),(39,0,1,0,0,0,0,0,0,0,0,4000,0,0,100),(40,0,1,0,0,0,0,0,0,0,0,8000,0,0,100),(41,30052,2,0,0,0,0,0,0,0,0,13000,0,0,100),(42,30105,2,0,0,0,0,0,0,0,0,20000,0,0,100),(43,30045,2,27799,1,0,0,0,0,0,0,40000,0,0,100),(44,30025,2,27987,1,0,0,0,0,0,0,70000,0,0,100),(45,30058,2,27987,1,0,0,0,0,0,0,120000,0,0,30),(46,0,1,0,0,0,0,0,0,0,0,1200,0,0,90),(47,0,1,0,0,0,0,0,0,0,0,2500,0,0,80),(48,0,1,0,0,0,0,0,0,0,0,5000,0,0,100),(49,0,1,0,0,0,0,0,0,0,0,10000,0,0,100),(50,30083,2,0,0,0,0,0,0,0,0,20000,0,0,100),(51,30060,2,0,0,0,0,0,0,0,0,30000,0,0,100),(52,30116,2,27992,1,0,0,0,0,0,0,45000,0,0,100),(53,30088,2,27993,1,0,0,0,0,0,0,90000,0,0,100),(54,30019,2,27994,1,0,0,0,0,0,0,150000,0,0,100),(55,0,1,0,0,0,0,0,0,0,0,600,0,0,100),(56,0,1,0,0,0,0,0,0,0,0,1200,0,0,100),(57,0,1,0,0,0,0,0,0,0,0,2500,0,0,100),(58,0,1,0,0,0,0,0,0,0,0,5000,0,0,100),(59,0,1,0,0,0,0,0,0,0,0,10000,0,0,100),(60,0,1,0,0,0,0,0,0,0,0,20000,0,0,100),(61,30070,2,0,0,0,0,0,0,0,0,30000,0,0,100),(62,30053,2,0,0,0,0,0,0,0,0,45000,0,0,100),(63,30017,2,0,0,0,0,0,0,0,0,75000,0,0,100),(64,0,1,0,0,0,0,0,0,0,0,1000,0,0,100),(65,0,1,0,0,0,0,0,0,0,0,2000,0,0,100),(66,0,1,0,0,0,0,0,0,0,0,4000,0,0,100),(67,0,1,0,0,0,0,0,0,0,0,8000,0,0,100),(68,30041,1,0,0,0,0,0,0,0,0,13000,0,0,100),(69,30008,1,0,0,0,0,0,0,0,0,20000,0,0,100),(70,30057,1,27799,1,0,0,0,0,0,0,40000,0,0,100),(71,30081,2,27987,1,0,0,0,0,0,0,70000,0,0,100),(72,30077,2,27987,1,0,0,0,0,0,0,120000,0,0,100),(73,0,1,0,0,0,0,0,0,0,0,1200,0,0,100),(74,0,1,0,0,0,0,0,0,0,0,2500,0,0,100),(75,0,1,0,0,0,0,0,0,0,0,5000,0,0,100),(76,0,1,0,0,0,0,0,0,0,0,10000,0,0,100),(77,30009,2,0,0,0,0,0,0,0,0,20000,0,0,100),(78,30039,2,0,0,0,0,0,0,0,0,30000,0,0,100),(79,30040,2,27992,1,0,0,0,0,0,0,45000,0,0,100),(80,30048,2,27993,1,0,0,0,0,0,0,90000,0,0,100),(81,30090,2,27994,1,0,0,0,0,0,0,150000,0,0,100),(82,0,1,0,0,0,0,0,0,0,0,600,0,0,100),(83,0,1,0,0,0,0,0,0,0,0,1200,0,0,100),(84,0,1,0,0,0,0,0,0,0,0,2500,0,0,100),(85,0,1,0,0,0,0,0,0,0,0,5000,0,0,100),(86,0,1,0,0,0,0,0,0,0,0,10000,0,0,100),(87,0,1,0,0,0,0,0,0,0,0,20000,0,0,100),(88,30031,1,0,0,0,0,0,0,0,0,30000,0,0,100),(89,30032,2,0,0,0,0,0,0,0,0,45000,0,0,100),(90,30033,2,0,0,0,0,0,0,0,0,75000,0,0,100),(91,0,1,0,0,0,0,0,0,0,0,1000,0,0,100),(92,0,1,0,0,0,0,0,0,0,0,2000,0,0,100),(93,0,1,0,0,0,0,0,0,0,0,4000,0,0,100),(94,0,1,0,0,0,0,0,0,0,0,8000,0,0,100),(95,30008,2,0,0,0,0,0,0,0,0,13000,0,0,100),(96,30075,2,0,0,0,0,0,0,0,0,20000,0,0,100),(97,30006,2,27799,1,0,0,0,0,0,0,40000,0,0,100),(98,30030,2,27987,1,0,0,0,0,0,0,70000,0,0,100),(99,30067,2,27987,1,0,0,0,0,0,0,120000,0,0,100),(100,0,1,0,0,0,0,0,0,0,0,1200,0,0,100),(101,0,1,0,0,0,0,0,0,0,0,2500,0,0,100),(102,0,1,0,0,0,0,0,0,0,0,5000,0,0,100),(103,0,1,0,0,0,0,0,0,0,0,10000,0,0,100),(104,30079,1,0,0,0,0,0,0,0,0,20000,0,0,100),(105,30015,1,0,0,0,0,0,0,0,0,30000,0,0,100),(106,30086,2,27992,1,0,0,0,0,0,0,45000,0,0,100),(107,30050,2,27993,1,0,0,0,0,0,0,90000,0,0,100),(108,30091,2,27994,1,0,0,0,0,0,0,150000,0,0,100),(109,0,1,0,0,0,0,0,0,0,0,600,0,0,100),(110,0,1,0,0,0,0,0,0,0,0,1200,0,0,100),(111,0,1,0,0,0,0,0,0,0,0,2500,0,0,100),(112,0,1,0,0,0,0,0,0,0,0,5000,0,0,100),(113,0,1,0,0,0,0,0,0,0,0,10000,0,0,100),(114,0,1,0,0,0,0,0,0,0,0,20000,0,0,100),(115,30071,2,0,0,0,0,0,0,0,0,30000,0,0,100),(116,30018,2,0,0,0,0,0,0,0,0,45000,0,0,100),(117,30017,2,0,0,0,0,0,0,0,0,75000,0,0,100),(118,0,1,0,0,0,0,0,0,0,0,1000,0,0,100),(119,0,1,0,0,0,0,0,0,0,0,2000,0,0,100),(120,0,1,0,0,0,0,0,0,0,0,4000,0,0,100),(121,0,1,0,0,0,0,0,0,0,0,8000,0,0,100),(122,30005,2,0,0,0,0,0,0,0,0,13000,0,0,100),(123,30076,2,0,0,0,0,0,0,0,0,20000,0,0,100),(124,30051,1,27799,1,0,0,0,0,0,0,40000,0,0,100),(125,30081,2,27987,1,0,0,0,0,0,0,70000,0,0,100),(126,30047,2,27987,1,0,0,0,0,0,0,120000,0,0,100),(127,0,1,0,0,0,0,0,0,0,0,1200,0,0,100),(128,0,1,0,0,0,0,0,0,0,0,2500,0,0,100),(129,0,1,0,0,0,0,0,0,0,0,5000,0,0,100),(130,0,1,0,0,0,0,0,0,0,0,10000,0,0,100),(131,30009,1,0,0,0,0,0,0,0,0,20000,0,0,100),(132,30080,1,0,0,0,0,0,0,0,0,30000,0,0,100),(133,30040,2,27992,1,0,0,0,0,0,0,45000,0,0,100),(134,30049,2,27993,1,0,0,0,0,0,0,90000,0,0,100),(135,30090,2,27994,1,0,0,0,0,0,0,150000,0,0,100),(136,0,1,0,0,0,0,0,0,0,0,600,0,0,100),(137,0,1,0,0,0,0,0,0,0,0,1200,0,0,100),(138,0,1,0,0,0,0,0,0,0,0,2500,0,0,100),(139,0,1,0,0,0,0,0,0,0,0,5000,0,0,100),(140,0,1,0,0,0,0,0,0,0,0,10000,0,0,100),(141,0,1,0,0,0,0,0,0,0,0,20000,0,0,100),(142,30038,1,0,0,0,0,0,0,0,0,30000,0,0,100),(143,30023,2,0,0,0,0,0,0,0,0,45000,0,0,100),(144,30074,2,0,0,0,0,0,0,0,0,75000,0,0,100),(145,0,1,0,0,0,0,0,0,0,0,1000,0,0,100),(146,0,1,0,0,0,0,0,0,0,0,2000,0,0,100),(147,0,1,0,0,0,0,0,0,0,0,4000,0,0,100),(148,0,1,0,0,0,0,0,0,0,0,8000,0,0,100),(149,30007,2,0,0,0,0,0,0,0,0,13000,0,0,100),(150,30078,2,0,0,0,0,0,0,0,0,20000,0,0,100),(151,30045,2,27799,1,0,0,0,0,0,0,40000,0,0,100),(152,30055,2,27987,1,0,0,0,0,0,0,70000,0,0,100),(153,30047,2,27987,1,0,0,0,0,0,0,120000,0,0,100),(154,0,1,0,0,0,0,0,0,0,0,1200,0,0,100),(155,0,1,0,0,0,0,0,0,0,0,2500,0,0,100),(156,0,1,0,0,0,0,0,0,0,0,5000,0,0,100),(157,0,1,0,0,0,0,0,0,0,0,10000,0,0,100),(158,30059,2,0,0,0,0,0,0,0,0,20000,0,0,100),(159,30080,2,0,0,0,0,0,0,0,0,30000,0,0,100),(160,30085,2,27992,1,0,0,0,0,0,0,45000,0,0,100),(161,30014,2,27993,1,0,0,0,0,0,0,90000,0,0,100),(162,30042,2,27994,1,0,0,0,0,0,0,150000,0,0,100),(163,0,1,0,0,0,0,0,0,0,0,600,0,0,100),(164,0,1,0,0,0,0,0,0,0,0,1200,0,0,100),(165,0,1,0,0,0,0,0,0,0,0,2500,0,0,100),(166,0,1,0,0,0,0,0,0,0,0,5000,0,0,100),(167,0,1,0,0,0,0,0,0,0,0,10000,0,0,100),(168,0,1,0,0,0,0,0,0,0,0,20000,0,0,100),(169,30010,2,0,0,0,0,0,0,0,0,30000,0,0,100),(170,30031,1,0,0,0,0,0,0,0,0,45000,0,0,100),(171,30032,2,0,0,0,0,0,0,0,0,75000,0,0,100),(172,0,1,0,0,0,0,0,0,0,0,1000,0,0,100),(173,0,1,0,0,0,0,0,0,0,0,2000,0,0,100),(174,0,1,0,0,0,0,0,0,0,0,4000,0,0,100),(175,0,1,0,0,0,0,0,0,0,0,8000,0,0,100),(176,30021,2,0,0,0,0,0,0,0,0,13000,0,0,100),(177,30008,2,0,0,0,0,0,0,0,0,20000,0,0,100),(178,30057,2,27799,1,0,0,0,0,0,0,40000,0,0,100),(179,30006,2,27987,1,0,0,0,0,0,0,70000,0,0,100),(180,30022,2,27987,1,0,0,0,0,0,0,120000,0,0,100),(181,0,1,0,0,0,0,0,0,0,0,1200,0,0,100),(182,0,1,0,0,0,0,0,0,0,0,2500,0,0,100),(183,0,1,0,0,0,0,0,0,0,0,5000,0,0,100),(184,0,1,0,0,0,0,0,0,0,0,10000,0,0,100),(185,30082,2,0,0,0,0,0,0,0,0,20000,0,0,100),(186,30079,2,0,0,0,0,0,0,0,0,30000,0,0,100),(187,30087,2,27992,1,0,0,0,0,0,0,45000,0,0,100),(188,30086,2,27993,1,0,0,0,0,0,0,90000,0,0,100),(189,30050,2,27994,1,0,0,0,0,0,0,150000,0,0,100),(190,0,1,0,0,0,0,0,0,0,0,600,0,0,100),(191,0,1,0,0,0,0,0,0,0,0,1200,0,0,100),(192,0,1,0,0,0,0,0,0,0,0,2500,0,0,100),(193,0,1,0,0,0,0,0,0,0,0,5000,0,0,100),(194,0,1,0,0,0,0,0,0,0,0,10000,0,0,100),(195,0,1,0,0,0,0,0,0,0,0,20000,0,0,100),(196,30038,2,0,0,0,0,0,0,0,0,30000,0,0,100),(197,30011,2,0,0,0,0,0,0,0,0,45000,0,0,100),(198,30074,1,0,0,0,0,0,0,0,0,75000,0,0,100),(199,0,1,0,0,0,0,0,0,0,0,1000,0,0,100),(200,0,1,0,0,0,0,0,0,0,0,2000,0,0,100),(201,0,1,0,0,0,0,0,0,0,0,4000,0,0,100),(202,0,1,0,0,0,0,0,0,0,0,8000,0,0,100),(203,30007,2,0,0,0,0,0,0,0,0,13000,0,0,100),(204,30046,2,0,0,0,0,0,0,0,0,20000,0,0,100),(205,30045,2,27799,1,0,0,0,0,0,0,40000,0,0,100),(206,30055,2,27987,1,0,0,0,0,0,0,70000,0,0,100),(207,30058,2,27987,1,0,0,0,0,0,0,120000,0,0,100),(208,0,1,0,0,0,0,0,0,0,0,1200,0,0,100),(209,0,1,0,0,0,0,0,0,0,0,2500,0,0,100),(210,0,1,0,0,0,0,0,0,0,0,5000,0,0,100),(211,0,1,0,0,0,0,0,0,0,0,10000,0,0,100),(212,30059,2,0,0,0,0,0,0,0,0,20000,0,0,100),(213,30060,2,0,0,0,0,0,0,0,0,30000,0,0,100),(214,30116,2,27992,1,0,0,0,0,0,0,45000,0,0,100),(215,30014,2,27993,1,0,0,0,0,0,0,90000,0,0,100),(216,30042,2,27994,1,0,0,0,0,0,0,150000,0,0,100),(217,0,1,0,0,0,0,0,0,0,0,600,0,0,100),(218,0,1,0,0,0,0,0,0,0,0,1200,0,0,100),(219,0,1,0,0,0,0,0,0,0,0,2500,0,0,100),(220,0,1,0,0,0,0,0,0,0,0,5000,0,0,100),(221,0,1,0,0,0,0,0,0,0,0,10000,0,0,100),(222,0,1,0,0,0,0,0,0,0,0,20000,0,0,100),(223,30071,2,0,0,0,0,0,0,0,0,30000,0,0,100),(224,30023,1,0,0,0,0,0,0,0,0,45000,0,0,100),(225,30074,2,0,0,0,0,0,0,0,0,75000,0,0,100),(226,0,1,0,0,0,0,0,0,0,0,1000,0,0,100),(227,0,1,0,0,0,0,0,0,0,0,2000,0,0,100),(228,0,1,0,0,0,0,0,0,0,0,4000,0,0,100),(229,0,1,0,0,0,0,0,0,0,0,8000,0,0,100),(230,30005,1,0,0,0,0,0,0,0,0,13000,0,0,100),(231,30078,1,0,0,0,0,0,0,0,0,20000,0,0,100),(232,30051,1,27799,1,0,0,0,0,0,0,40000,0,0,100),(233,30055,2,27987,1,0,0,0,0,0,0,70000,0,0,100),(234,30047,2,27987,1,0,0,0,0,0,0,120000,0,0,100),(235,0,1,0,0,0,0,0,0,0,0,1200,0,0,100),(236,0,1,0,0,0,0,0,0,0,0,2500,0,0,100),(237,0,1,0,0,0,0,0,0,0,0,5000,0,0,100),(238,0,1,0,0,0,0,0,0,0,0,10000,0,0,100),(239,30059,2,0,0,0,0,0,0,0,0,20000,0,0,100),(240,30080,2,0,0,0,0,0,0,0,0,30000,0,0,100),(241,30039,2,27992,1,0,0,0,0,0,0,45000,0,0,100),(242,30049,2,27993,1,0,0,0,0,0,0,90000,0,0,100),(243,30042,2,27994,1,0,0,0,0,0,0,150000,0,0,100),(244,0,1,0,0,0,0,0,0,0,0,600,0,0,100),(245,0,1,0,0,0,0,0,0,0,0,1200,0,0,100),(246,0,1,0,0,0,0,0,0,0,0,2500,0,0,100),(247,0,1,0,0,0,0,0,0,0,0,5000,0,0,100),(248,0,1,0,0,0,0,0,0,0,0,10000,0,0,100),(249,0,1,0,0,0,0,0,0,0,0,20000,0,0,100),(250,30070,2,0,0,0,0,0,0,0,0,30000,0,0,100),(251,30018,2,0,0,0,0,0,0,0,0,45000,0,0,100),(252,30017,2,0,0,0,0,0,0,0,0,75000,0,0,100),(253,0,1,0,0,0,0,0,0,0,0,1000,0,0,100),(254,0,1,0,0,0,0,0,0,0,0,2000,0,0,100),(255,0,1,0,0,0,0,0,0,0,0,4000,0,0,100),(256,0,1,0,0,0,0,0,0,0,0,8000,0,0,100),(257,30041,2,0,0,0,0,0,0,0,0,13000,0,0,100),(258,30076,2,0,0,0,0,0,0,0,0,20000,0,0,100),(259,30051,2,27799,1,0,0,0,0,0,0,40000,0,0,100),(260,30081,2,27987,1,0,0,0,0,0,0,70000,0,0,100),(261,30077,2,27987,1,0,0,0,0,0,0,120000,0,0,100),(262,0,1,0,0,0,0,0,0,0,0,1200,0,0,100),(263,0,1,0,0,0,0,0,0,0,0,2500,0,0,100),(264,0,1,0,0,0,0,0,0,0,0,5000,0,0,100),(265,0,1,0,0,0,0,0,0,0,0,10000,0,0,100),(266,30009,2,0,0,0,0,0,0,0,0,20000,0,0,100),(267,30039,2,0,0,0,0,0,0,0,0,30000,0,0,100),(268,30040,2,27992,1,0,0,0,0,0,0,45000,0,0,100),(269,30048,2,27993,1,0,0,0,0,0,0,90000,0,0,100),(270,30090,2,27994,1,0,0,0,0,0,0,150000,0,0,100),(271,0,1,0,0,0,0,0,0,0,0,600,0,0,100),(272,0,1,0,0,0,0,0,0,0,0,1200,0,0,100),(273,0,1,0,0,0,0,0,0,0,0,2500,0,0,100),(274,0,1,0,0,0,0,0,0,0,0,5000,0,0,100),(275,0,1,0,0,0,0,0,0,0,0,10000,0,0,100),(276,0,1,0,0,0,0,0,0,0,0,20000,0,0,100),(277,30010,1,0,0,0,0,0,0,0,0,30000,0,0,100),(278,30072,2,0,0,0,0,0,0,0,0,45000,0,0,100),(279,30032,1,0,0,0,0,0,0,0,0,75000,0,0,100),(280,0,1,0,0,0,0,0,0,0,0,1000,0,0,100),(281,0,1,0,0,0,0,0,0,0,0,2000,0,0,100),(282,0,1,0,0,0,0,0,0,0,0,4000,0,0,100),(283,0,1,0,0,0,0,0,0,0,0,8000,0,0,100),(284,30021,1,0,0,0,0,0,0,0,0,13000,0,0,100),(285,30008,1,0,0,0,0,0,0,0,0,20000,0,0,100),(286,30057,1,27799,1,0,0,0,0,0,0,40000,0,0,100),(287,30006,2,27987,1,0,0,0,0,0,0,70000,0,0,100),(288,30077,2,27987,1,0,0,0,0,0,0,120000,0,0,100),(289,0,1,0,0,0,0,0,0,0,0,1200,0,0,100),(290,0,1,0,0,0,0,0,0,0,0,2500,0,0,100),(291,0,1,0,0,0,0,0,0,0,0,5000,0,0,100),(292,0,1,0,0,0,0,0,0,0,0,10000,0,0,100),(293,30082,2,0,0,0,0,0,0,0,0,20000,0,0,100),(294,30039,2,0,0,0,0,0,0,0,0,30000,0,0,100),(295,30087,2,27992,1,0,0,0,0,0,0,45000,0,0,100),(296,30086,2,27993,1,0,0,0,0,0,0,90000,0,0,100),(297,30050,2,27994,1,0,0,0,0,0,0,150000,0,0,100),(298,0,1,0,0,0,0,0,0,0,0,600,0,0,100),(299,0,1,0,0,0,0,0,0,0,0,1200,0,0,100),(300,0,1,0,0,0,0,0,0,0,0,2500,0,0,100),(301,0,1,0,0,0,0,0,0,0,0,5000,0,0,100),(302,0,1,0,0,0,0,0,0,0,0,10000,0,0,100),(303,0,1,0,0,0,0,0,0,0,0,20000,0,0,100),(304,30053,1,0,0,0,0,0,0,0,0,30000,0,0,100),(305,30073,1,0,0,0,0,0,0,0,0,45000,0,0,100),(306,30035,2,0,0,0,0,0,0,0,0,75000,0,0,100),(307,0,1,0,0,0,0,0,0,0,0,1000,0,0,100),(308,0,1,0,0,0,0,0,0,0,0,2000,0,0,100),(309,0,1,0,0,0,0,0,0,0,0,4000,0,0,100),(310,0,1,0,0,0,0,0,0,0,0,8000,0,0,100),(311,30030,2,0,0,0,0,0,0,0,0,13000,0,0,100),(312,30075,2,0,0,0,0,0,0,0,0,20000,0,0,100),(313,30056,2,27799,1,0,0,0,0,0,0,40000,0,0,100),(314,30025,2,27987,1,0,0,0,0,0,0,70000,0,0,100),(315,30067,2,27987,1,0,0,0,0,0,0,120000,0,0,100),(316,0,1,0,0,0,0,0,0,0,0,1200,0,0,100),(317,0,1,0,0,0,0,0,0,0,0,2500,0,0,100),(318,0,1,0,0,0,0,0,0,0,0,5000,0,0,100),(319,0,1,0,0,0,0,0,0,0,0,10000,0,0,100),(320,30083,2,0,0,0,0,0,0,0,0,20000,0,0,100),(321,30015,2,0,0,0,0,0,0,0,0,30000,0,0,100),(322,30016,2,27992,1,0,0,0,0,0,0,45000,0,0,100),(323,30089,2,27993,1,0,0,0,0,0,0,90000,0,0,100),(324,30019,2,27994,1,0,0,0,0,0,0,150000,0,0,100),(325,0,1,0,0,0,0,0,0,0,0,600,0,0,100),(326,0,1,0,0,0,0,0,0,0,0,1200,0,0,100),(327,0,1,0,0,0,0,0,0,0,0,2500,0,0,100),(328,0,1,0,0,0,0,0,0,0,0,5000,0,0,100),(329,0,1,0,0,0,0,0,0,0,0,10000,0,0,100),(330,0,1,0,0,0,0,0,0,0,0,20000,0,0,100),(331,30034,2,0,0,0,0,0,0,0,0,30000,0,0,100),(332,30073,2,0,0,0,0,0,0,0,0,45000,0,0,100),(333,30035,2,0,0,0,0,0,0,0,0,75000,0,0,100),(334,0,1,0,0,0,0,0,0,0,0,1000,0,0,100),(335,0,1,0,0,0,0,0,0,0,0,2000,0,0,100),(336,0,1,0,0,0,0,0,0,0,0,4000,0,0,100),(337,0,1,0,0,0,0,0,0,0,0,8000,0,0,100),(338,30052,2,0,0,0,0,0,0,0,0,13000,0,0,100),(339,30046,2,0,0,0,0,0,0,0,0,20000,0,0,100),(340,30056,2,27799,1,0,0,0,0,0,0,40000,0,0,100),(341,30025,2,27987,1,0,0,0,0,0,0,70000,0,0,100),(342,30058,2,27987,1,0,0,0,0,0,0,120000,0,0,100),(343,0,1,0,0,0,0,0,0,0,0,1200,0,0,100),(344,0,1,0,0,0,0,0,0,0,0,2500,0,0,100),(345,0,1,0,0,0,0,0,0,0,0,5000,0,0,100),(346,0,1,0,0,0,0,0,0,0,0,10000,0,0,100),(347,30083,2,0,0,0,0,0,0,0,0,20000,0,0,100),(348,30060,2,0,0,0,0,0,0,0,0,30000,0,0,100),(349,30116,2,30193,2,0,0,0,0,0,0,45000,0,0,100),(350,30088,2,30193,4,0,0,0,0,0,0,90000,0,0,100),(351,30019,2,30193,8,0,0,0,0,0,0,150000,0,0,100),(352,0,1,0,0,0,0,0,0,0,0,3000,0,0,100),(353,0,1,0,0,0,0,0,0,0,0,6000,0,0,100),(354,0,1,0,0,0,0,0,0,0,0,12000,0,0,100),(355,0,1,0,0,0,0,0,0,0,0,25000,0,0,100),(356,0,1,0,0,0,0,0,0,0,0,40000,0,0,100),(357,0,1,0,0,0,0,0,0,0,0,60000,0,0,100),(358,0,1,0,0,0,0,0,0,0,0,90000,0,0,100),(359,0,1,0,0,0,0,0,0,0,0,120000,0,0,100),(360,0,1,0,0,0,0,0,0,0,0,150000,0,0,100),(361,33030,1,0,0,0,0,0,0,0,0,10000,0,0,100),(362,33030,2,30611,1,0,0,0,0,0,0,20000,0,0,100),(363,33030,4,30611,1,0,0,0,0,0,0,40000,0,0,100),(364,33030,8,30611,2,0,0,0,0,0,0,80000,0,0,100),(365,33030,16,30611,2,0,0,0,0,0,0,160000,0,0,100),(366,33030,32,30611,3,0,0,0,0,0,0,320000,0,0,100),(367,33030,64,30616,1,0,0,0,0,0,0,640000,0,0,100),(368,33030,128,30617,1,0,0,0,0,0,0,1280000,0,0,100),(369,33030,200,30618,1,0,0,0,0,0,0,2560000,0,0,100),(390,33029,1,0,0,0,0,0,0,0,0,10000,0,0,100),(391,33029,2,30612,1,0,0,0,0,0,0,20000,0,0,100),(392,33029,4,30612,1,0,0,0,0,0,0,40000,0,0,100),(393,33029,8,30612,2,0,0,0,0,0,0,80000,0,0,100),(394,33029,16,30612,2,0,0,0,0,0,0,160000,0,0,100),(395,33029,32,30612,3,0,0,0,0,0,0,320000,0,0,100),(396,33029,64,30616,1,0,0,0,0,0,0,640000,0,0,100),(397,33029,128,30617,1,0,0,0,0,0,0,1280000,0,0,100),(398,33029,200,30618,1,0,0,0,0,0,0,2560000,0,0,100),(400,30192,2,0,0,0,0,0,0,0,0,20000,0,0,100),(401,30194,2,0,0,0,0,0,0,0,0,30000,0,0,100),(421,30604,2,0,0,0,0,0,0,0,0,100000,0,0,100),(422,30604,2,30612,1,0,0,0,0,0,0,125000,0,0,100),(423,30604,3,30612,1,0,0,0,0,0,0,150000,0,0,100),(424,30604,3,30612,2,0,0,0,0,0,0,180000,0,0,100),(425,30604,3,30612,2,0,0,0,0,0,0,225000,0,0,100),(426,30604,4,30612,3,0,0,0,0,0,0,270000,0,0,100),(427,30610,4,30616,1,0,0,0,0,0,0,320000,0,0,100),(428,30610,4,30617,1,0,0,0,0,0,0,400000,0,0,100),(429,30610,5,30618,1,0,0,0,0,0,0,500000,0,0,100),(431,30604,2,0,0,0,0,0,0,0,0,120000,0,0,100),(432,30604,2,30612,1,0,0,0,0,0,0,165000,0,0,100),(433,30604,3,30612,1,0,0,0,0,0,0,190000,0,0,100),(434,30604,3,30612,2,0,0,0,0,0,0,235000,0,0,100),(435,30604,3,30612,2,0,0,0,0,0,0,280000,0,0,100),(436,30604,4,30612,3,0,0,0,0,0,0,330000,0,0,100),(437,30610,4,30616,1,0,0,0,0,0,0,380000,0,0,100),(438,30610,4,30617,1,0,0,0,0,0,0,500000,0,0,100),(439,30610,5,30618,1,0,0,0,0,0,0,600000,0,0,100),(440,33031,10,9600,1,30031,1,0,0,0,0,50000,0,0,100),(441,33031,10,9600,1,30031,1,0,0,0,0,50000,0,0,100),(442,33031,10,9600,1,30031,1,0,0,0,0,50000,0,0,100),(443,33031,10,9600,1,30031,1,0,0,0,0,50000,0,0,100),(444,33031,10,9600,1,30031,1,0,0,0,0,50000,0,0,100),(445,33031,10,9600,1,30031,1,0,0,0,0,50000,0,0,100),(446,33031,10,9600,1,30031,1,0,0,0,0,50000,0,0,100),(447,33031,10,9600,1,30031,1,0,0,0,0,50000,0,0,100),(448,33031,10,9600,1,30031,1,0,0,0,0,50000,0,0,100),(449,33031,10,9600,1,30031,1,0,0,0,0,50000,0,0,100),(450,33031,10,10750,1,30031,1,0,0,0,0,50000,0,0,100),(451,33031,10,10750,1,30031,1,0,0,0,0,50000,0,0,100),(452,33031,10,10750,1,30031,1,0,0,0,0,50000,0,0,100),(453,33031,10,10750,1,30031,1,0,0,0,0,50000,0,0,100),(454,33031,10,10750,1,30031,1,0,0,0,0,50000,0,0,100),(455,33031,10,10750,1,30031,1,0,0,0,0,50000,0,0,100),(456,33031,10,10750,1,30031,1,0,0,0,0,50000,0,0,100),(457,33031,10,10750,1,30031,1,0,0,0,0,50000,0,0,100),(458,33031,10,10750,1,30031,1,0,0,0,0,50000,0,0,100),(459,33031,10,10750,1,30031,1,0,0,0,0,50000,0,0,100),(460,33031,10,9830,1,30031,1,0,0,0,0,50000,0,0,100),(461,33031,10,9830,1,30031,1,0,0,0,0,50000,0,0,100),(462,33031,10,9830,1,30031,1,0,0,0,0,50000,0,0,100),(463,33031,10,9830,1,30031,1,0,0,0,0,50000,0,0,100),(464,33031,10,9830,1,30031,1,0,0,0,0,50000,0,0,100),(465,33031,10,9830,1,30031,1,0,0,0,0,50000,0,0,100),(466,33031,10,9830,1,30031,1,0,0,0,0,50000,0,0,100),(467,33031,10,9830,1,30031,1,0,0,0,0,50000,0,0,100),(468,33031,10,9830,1,30031,1,0,0,0,0,50000,0,0,100),(469,33031,10,9830,1,30031,1,0,0,0,0,50000,0,0,100),(470,33031,10,10520,1,30031,1,0,0,0,0,50000,0,0,100),(471,33031,10,10520,1,30031,1,0,0,0,0,50000,0,0,100),(472,33031,10,10520,1,30031,1,0,0,0,0,50000,0,0,100),(473,33031,10,10520,1,30031,1,0,0,0,0,50000,0,0,100),(474,33031,10,10520,1,30031,1,0,0,0,0,50000,0,0,100),(475,33031,10,10520,1,30031,1,0,0,0,0,50000,0,0,100),(476,33031,10,10520,1,30031,1,0,0,0,0,50000,0,0,100),(477,33031,10,10520,1,30031,1,0,0,0,0,50000,0,0,100),(478,33031,10,10520,1,30031,1,0,0,0,0,50000,0,0,100),(479,33031,10,10520,1,30031,1,0,0,0,0,50000,0,0,100),(480,33031,10,10060,1,30031,1,0,0,0,0,50000,0,0,100),(481,33031,10,10060,1,30031,1,0,0,0,0,50000,0,0,100),(482,33031,10,10060,1,30031,1,0,0,0,0,50000,0,0,100),(483,33031,10,10060,1,30031,1,0,0,0,0,50000,0,0,100),(484,33031,10,10060,1,30031,1,0,0,0,0,50000,0,0,100),(485,33031,10,10060,1,30031,1,0,0,0,0,50000,0,0,100),(486,33031,10,10060,1,30031,1,0,0,0,0,50000,0,0,100),(487,33031,10,10060,1,30031,1,0,0,0,0,50000,0,0,100),(488,33031,10,10060,1,30031,1,0,0,0,0,50000,0,0,100),(489,33031,10,10060,1,30031,1,0,0,0,0,50000,0,0,100),(490,33031,10,10290,1,30031,1,0,0,0,0,50000,0,0,100),(491,33031,10,10290,1,30031,1,0,0,0,0,50000,0,0,100),(492,33031,10,10290,1,30031,1,0,0,0,0,50000,0,0,100),(493,33031,10,10290,1,30031,1,0,0,0,0,50000,0,0,100),(494,33031,10,10290,1,30031,1,0,0,0,0,50000,0,0,100),(495,33031,10,10290,1,30031,1,0,0,0,0,50000,0,0,100),(496,33031,10,10290,1,30031,1,0,0,0,0,50000,0,0,100),(497,33031,10,10290,1,30031,1,0,0,0,0,50000,0,0,100),(498,33031,10,10290,1,30031,1,0,0,0,0,50000,0,0,100),(499,33031,10,10290,1,30031,1,0,0,0,0,50000,0,0,100),(501,25040,2,70031,1,0,0,0,0,0,0,1000000,0,0,100),(502,0,1,0,0,0,0,0,0,0,0,120000,0,0,100),(503,0,1,0,0,0,0,0,0,0,0,140000,0,0,100),(504,0,1,0,0,0,0,0,0,0,0,170000,0,0,100),(505,0,1,0,0,0,0,0,0,0,0,200000,0,0,100),(506,0,1,0,0,0,0,0,0,0,0,240000,0,0,100),(507,30050,2,0,0,0,0,0,0,0,0,290000,0,0,100),(508,30089,2,27992,1,0,0,0,0,0,0,340000,0,0,100),(509,30040,2,27993,1,0,0,0,0,0,0,410000,0,0,100),(510,30089,2,27994,1,0,0,0,0,0,0,500000,0,0,100),(601,51001,10,0,0,0,0,0,0,0,0,100000,0,0,100),(602,51001,15,0,0,0,0,0,0,0,0,125000,0,0,100),(603,51001,20,0,0,0,0,0,0,0,0,150000,0,0,100),(604,51001,30,0,0,0,0,0,0,0,0,180000,0,0,100),(605,51001,45,0,0,0,0,0,0,0,0,225000,0,0,100),(606,51001,65,0,0,0,0,0,0,0,0,270000,0,0,100),(607,51001,95,0,0,0,0,0,0,0,0,320000,0,0,100),(608,51001,140,0,0,0,0,0,0,0,0,400000,0,0,100),(609,51001,200,0,0,0,0,0,0,0,0,500000,0,0,100),(610,25040,2,70031,3,51001,100,0,0,0,0,5000000,0,0,100),(611,30604,1,0,0,0,0,0,0,0,0,7500,0,0,100),(612,30604,1,30610,1,0,0,0,0,0,0,15000,0,0,100),(613,30604,2,30610,1,0,0,0,0,0,0,25000,0,0,100),(614,30604,2,30610,2,0,0,0,0,0,0,40000,0,0,100),(615,30604,3,30610,2,0,0,0,0,0,0,65000,0,0,100),(616,30604,3,30610,3,0,0,0,0,0,0,90000,0,0,100),(617,30616,1,30610,4,0,0,0,0,0,0,120000,0,0,100),(618,30617,1,30610,4,0,0,0,0,0,0,150000,0,0,100),(619,30618,1,30610,4,0,0,0,0,0,0,250000,0,0,100),(620,30623,3,30624,2,25040,2,0,0,0,0,2000000,0,0,100),(621,30626,1,30629,1,25040,2,0,0,0,0,330000,0,0,100),(622,30626,1,30629,1,25040,2,0,0,0,0,425000,0,0,100),(623,30626,2,30629,2,25040,2,0,0,0,0,540000,0,0,100),(624,30626,2,30629,2,25040,2,0,0,0,0,720000,0,0,100),(625,30626,3,30629,3,25040,2,0,0,0,0,800000,0,0,100),(626,30627,2,30629,3,25040,2,0,0,0,0,900000,0,0,100),(627,30627,2,27992,1,0,0,0,0,0,0,950000,0,0,100),(628,30627,3,27993,1,0,0,0,0,0,0,1300000,0,0,100),(629,30624,2,27994,1,0,0,0,0,0,0,1500000,0,0,100),(630,30623,3,30624,2,25040,2,0,0,0,0,2000000,0,0,100),(530,71123,3,71129,4,0,0,0,0,0,0,200000,0,0,100),(531,0,1,0,0,0,0,0,0,0,0,7500,0,0,100),(532,0,1,0,0,0,0,0,0,0,0,15000,0,0,100),(533,0,1,0,0,0,0,0,0,0,0,25000,0,0,100),(534,30196,2,0,0,0,0,0,0,0,0,40000,0,0,100),(535,30090,3,0,0,0,0,0,0,0,0,65000,0,0,100),(536,30195,2,0,0,0,0,0,0,0,0,90000,0,0,100),(537,30197,4,27992,1,0,0,0,0,0,0,12000,0,0,100),(538,30198,2,27993,1,0,0,0,0,0,0,150000,0,0,100),(539,30199,2,27994,1,0,0,0,0,0,0,200000,0,0,100),(631,30625,1,30629,1,0,0,0,0,0,0,330000,0,0,100),(632,30625,1,30629,1,0,0,0,0,0,0,425000,0,0,100),(633,30625,2,30629,2,0,0,0,0,0,0,540000,0,0,100),(634,30625,2,30629,2,0,0,0,0,0,0,720000,0,0,100),(635,30625,3,30629,3,0,0,0,0,0,0,800000,0,0,100),(636,30628,2,30629,3,0,0,0,0,0,0,200000,0,0,100),(637,30628,2,30616,2,0,0,0,0,0,0,950000,0,0,100),(638,30628,3,30617,2,0,0,0,0,0,0,1300000,0,0,100),(639,30624,2,30618,2,0,0,0,0,0,0,1500000,0,0,100),(999,0,0,0,0,0,0,0,0,0,0,0,0,0,0);
/*!40000 ALTER TABLE `refine_proto` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `safebox`
--

DROP TABLE IF EXISTS `safebox`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `safebox` (
  `account_id` int unsigned NOT NULL DEFAULT '0',
  `size` smallint unsigned NOT NULL DEFAULT '0',
  `password` varchar(6) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `gold` int NOT NULL DEFAULT '0',
  `buff_point` int NOT NULL DEFAULT '0',
  `buff_value` int NOT NULL DEFAULT '0',
  `buff_duration` int NOT NULL DEFAULT '0',
  PRIMARY KEY (`account_id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `safebox`
--

LOCK TABLES `safebox` WRITE;
/*!40000 ALTER TABLE `safebox` DISABLE KEYS */;
/*!40000 ALTER TABLE `safebox` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shop`
--

DROP TABLE IF EXISTS `shop`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `shop` (
  `vnum` int NOT NULL DEFAULT '0',
  `name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'NoName',
  `npc_vnum` smallint NOT NULL DEFAULT '0',
  PRIMARY KEY (`vnum`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shop`
--

LOCK TABLES `shop` WRITE;
/*!40000 ALTER TABLE `shop` DISABLE KEYS */;
INSERT INTO `shop` VALUES (1,'weapon_shop',9001),(2,'fish_shop',9009),(3,'general_shop',9003),(4,'armor_shop',9002),(5,'weapon_shop2',9007),(6,'armor_shop2',9008),(12,'dragonsoul_shop',20001),(7,'gold_bar_shop',9005),(8,'firework_shop',9004),(9,'peddler_shop',20042),(10,'pick_shop',20015),(11,'stable_shop',20349);
/*!40000 ALTER TABLE `shop` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shop_class`
--

DROP TABLE IF EXISTS `shop_class`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `shop_class` (
  `classid` int NOT NULL AUTO_INCREMENT,
  `classname` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  PRIMARY KEY (`classid`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shop_class`
--

LOCK TABLES `shop_class` WRITE;
/*!40000 ALTER TABLE `shop_class` DISABLE KEYS */;
INSERT INTO `shop_class` VALUES (1,'esxKLIeJtiDtcrDpwzh/Bw'),(2,'e80aKduEuC7jcqb+wzh/Bw'),(3,'JcJBKoyE6yHqsrDl2IB/1Q'),(4,'JZtMII6PviH8ta5LzF1/Bw'),(5,'dctNLtrbuCbwK6pj2IB/1R4'),(6,'J8sbf4aJ6if1F8IS2IB/1R4'),(7,'IsoaIN2Jt3T9PasV2IB/1Q'),(8,'IJlIeNyPu3X/Hq5LyCc'),(9,'d8tBeIuE6XT0A672zF1/Bw'),(10,'d8gcKd3ctnX9G8HyzF1/Bw'),(11,'dstNLI2E6SDxb7jpoqlpGg'),(12,'JZhAetyFvnabjbEDzF1/Bw'),(13,'c8JIKouItiLrs8EQwSh7mQ');
/*!40000 ALTER TABLE `shop_class` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shop_item`
--

DROP TABLE IF EXISTS `shop_item`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `shop_item` (
  `shop_vnum` int NOT NULL DEFAULT '0',
  `item_vnum` int NOT NULL DEFAULT '0',
  `count` smallint unsigned NOT NULL DEFAULT '1',
  UNIQUE KEY `vnum_unique` (`shop_vnum`,`item_vnum`,`count`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=FIXED;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shop_item`
--

LOCK TABLES `shop_item` WRITE;
/*!40000 ALTER TABLE `shop_item` DISABLE KEYS */;
INSERT INTO `shop_item` VALUES (1,20,1),(1,40,1),(1,60,1),(1,80,1),(1,1040,1),(1,2010,1),(1,2030,1),(1,2050,1),(1,2070,1),(1,3010,1),(1,3030,1),(1,3050,1),(1,3070,1),(1,4000,1),(1,4010,1),(1,4020,1),(1,5010,1),(1,5030,1),(1,7010,1),(1,7030,1),(1,7050,1),(1,8000,100),(1,8000,200),(2,27400,1),(2,27600,1),(2,27610,1),(2,27800,5),(2,27800,50),(2,27801,5),(2,27801,50),(3,14000,1),(3,15000,1),(3,16000,1),(3,17000,1),(3,27001,5),(3,27001,20),(3,27001,200),(3,27002,5),(3,27002,20),(3,27002,200),(3,27003,5),(3,27003,20),(3,27003,200),(3,27004,5),(3,27004,20),(3,27004,200),(3,27005,5),(3,27005,20),(3,27005,200),(3,27006,5),(3,27006,20),(3,27006,200),(3,27007,5),(3,27007,20),(3,27007,200),(3,27008,5),(3,27008,20),(3,27008,200),(3,50200,1),(3,50263,1),(3,50264,1),(3,50901,10),(3,70063,1),(3,70064,1),(3,79501,1),(3,79502,1),(4,11200,1),(4,11220,1),(4,11230,1),(4,11400,1),(4,11420,1),(4,11430,1),(4,11600,1),(4,11620,1),(4,11630,1),(4,11800,1),(4,11820,1),(4,11830,1),(4,12200,1),(4,12340,1),(4,12480,1),(4,12620,1),(4,13000,1),(5,3100,1),(5,5020,1),(5,5030,1),(5,5040,1),(5,5050,1),(5,5070,1),(5,5080,1),(5,7020,1),(5,7050,1),(5,7060,1),(5,7090,1),(5,7100,1),(6,14000,1),(6,14020,1),(6,14040,1),(6,14060,1),(6,14080,1),(6,14140,1),(6,15000,1),(6,15020,1),(6,15040,1),(6,15060,1),(6,15080,1),(6,15160,1),(6,16000,1),(6,16020,1),(6,16040,1),(6,16060,1),(6,16080,1),(6,16180,1),(6,17000,1),(6,17020,1),(6,17040,1),(6,17060,1),(6,17080,1),(6,17180,1),(7,80003,1),(7,80004,1),(7,80005,1),(7,80006,1),(7,80007,1),(8,50100,100),(8,50101,100),(8,50102,100),(8,50103,100),(8,50104,100),(8,50105,100),(9,11901,1),(9,11902,1),(9,11903,1),(9,11904,1),(9,50201,1),(9,50202,1),(10,29101,1),(11,50054,1),(11,50055,1),(11,50056,1),(12,100100,1),(12,100200,1);
/*!40000 ALTER TABLE `shop_item` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `skill_color`
--

DROP TABLE IF EXISTS `skill_color`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `skill_color` (
  `player_id` int(11) unsigned zerofill NOT NULL,
  `skillSlot1_Col1` int NOT NULL DEFAULT '0',
  `skillSlot1_Col2` int NOT NULL DEFAULT '0',
  `skillSlot1_Col3` int NOT NULL DEFAULT '0',
  `skillSlot1_Col4` int NOT NULL DEFAULT '0',
  `skillSlot1_Col5` int NOT NULL DEFAULT '0',
  `skillSlot2_Col1` int NOT NULL DEFAULT '0',
  `skillSlot2_Col2` int NOT NULL DEFAULT '0',
  `skillSlot2_Col3` int NOT NULL DEFAULT '0',
  `skillSlot2_Col4` int NOT NULL DEFAULT '0',
  `skillSlot2_Col5` int NOT NULL DEFAULT '0',
  `skillSlot3_Col1` int NOT NULL DEFAULT '0',
  `skillSlot3_Col2` int NOT NULL DEFAULT '0',
  `skillSlot3_Col3` int NOT NULL DEFAULT '0',
  `skillSlot3_Col4` int NOT NULL DEFAULT '0',
  `skillSlot3_Col5` int NOT NULL DEFAULT '0',
  `skillSlot4_Col1` int NOT NULL DEFAULT '0',
  `skillSlot4_Col2` int NOT NULL DEFAULT '0',
  `skillSlot4_Col3` int NOT NULL DEFAULT '0',
  `skillSlot4_Col4` int NOT NULL DEFAULT '0',
  `skillSlot4_Col5` int NOT NULL DEFAULT '0',
  `skillSlot5_Col1` int NOT NULL DEFAULT '0',
  `skillSlot5_Col2` int NOT NULL DEFAULT '0',
  `skillSlot5_Col3` int NOT NULL DEFAULT '0',
  `skillSlot5_Col4` int NOT NULL DEFAULT '0',
  `skillSlot5_Col5` int NOT NULL DEFAULT '0',
  `skillSlot6_Col1` int NOT NULL DEFAULT '0',
  `skillSlot6_Col2` int NOT NULL DEFAULT '0',
  `skillSlot6_Col3` int NOT NULL DEFAULT '0',
  `skillSlot6_Col4` int NOT NULL DEFAULT '0',
  `skillSlot6_Col5` int NOT NULL DEFAULT '0',
  `skillSlot7_Col1` int NOT NULL DEFAULT '0',
  `skillSlot7_Col2` int NOT NULL DEFAULT '0',
  `skillSlot7_Col3` int NOT NULL DEFAULT '0',
  `skillSlot7_Col4` int NOT NULL DEFAULT '0',
  `skillSlot7_Col5` int NOT NULL DEFAULT '0',
  `skillSlot8_Col1` int NOT NULL DEFAULT '0',
  `skillSlot8_Col2` int NOT NULL DEFAULT '0',
  `skillSlot8_Col3` int NOT NULL DEFAULT '0',
  `skillSlot8_Col4` int NOT NULL DEFAULT '0',
  `skillSlot8_Col5` int NOT NULL DEFAULT '0',
  `skillSlot9_Col1` int NOT NULL DEFAULT '0',
  `skillSlot9_Col2` int NOT NULL DEFAULT '0',
  `skillSlot9_Col3` int NOT NULL DEFAULT '0',
  `skillSlot9_Col4` int NOT NULL DEFAULT '0',
  `skillSlot9_Col5` int NOT NULL DEFAULT '0',
  `skillSlot10_Col1` int NOT NULL DEFAULT '0',
  `skillSlot10_Col2` int NOT NULL DEFAULT '0',
  `skillSlot10_Col3` int NOT NULL DEFAULT '0',
  `skillSlot10_Col4` int NOT NULL DEFAULT '0',
  `skillSlot10_Col5` int NOT NULL DEFAULT '0',
  `buffSkill1_Col1` int NOT NULL DEFAULT '0',
  `buffSkill1_Col2` int NOT NULL DEFAULT '0',
  `buffSkill1_Col3` int NOT NULL DEFAULT '0',
  `buffSkill1_Col4` int NOT NULL DEFAULT '0',
  `buffSkill1_Col5` int NOT NULL DEFAULT '0',
  `buffSkill2_Col1` int NOT NULL DEFAULT '0',
  `buffSkill2_Col2` int NOT NULL DEFAULT '0',
  `buffSkill2_Col3` int NOT NULL DEFAULT '0',
  `buffSkill2_Col4` int NOT NULL DEFAULT '0',
  `buffSkill2_Col5` int NOT NULL DEFAULT '0',
  `buffSkill3_Col1` int NOT NULL DEFAULT '0',
  `buffSkill3_Col2` int NOT NULL DEFAULT '0',
  `buffSkill3_Col3` int NOT NULL DEFAULT '0',
  `buffSkill3_Col4` int NOT NULL DEFAULT '0',
  `buffSkill3_Col5` int NOT NULL DEFAULT '0',
  `buffSkill4_Col1` int NOT NULL DEFAULT '0',
  `buffSkill4_Col2` int NOT NULL DEFAULT '0',
  `buffSkill4_Col3` int NOT NULL DEFAULT '0',
  `buffSkill4_Col4` int NOT NULL DEFAULT '0',
  `buffSkill4_Col5` int NOT NULL DEFAULT '0',
  `buffSkill5_Col1` int NOT NULL DEFAULT '0',
  `buffSkill5_Col2` int NOT NULL DEFAULT '0',
  `buffSkill5_Col3` int NOT NULL DEFAULT '0',
  `buffSkill5_Col4` int NOT NULL DEFAULT '0',
  `buffSkill5_Col5` int NOT NULL DEFAULT '0',
  `buffSkill6_Col1` int NOT NULL DEFAULT '0',
  `buffSkill6_Col2` int NOT NULL DEFAULT '0',
  `buffSkill6_Col3` int NOT NULL DEFAULT '0',
  `buffSkill6_Col4` int NOT NULL DEFAULT '0',
  `buffSkill6_Col5` int NOT NULL DEFAULT '0',
  PRIMARY KEY (`player_id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=FIXED;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `skill_color`
--

LOCK TABLES `skill_color` WRITE;
/*!40000 ALTER TABLE `skill_color` DISABLE KEYS */;
/*!40000 ALTER TABLE `skill_color` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `skill_proto`
--

DROP TABLE IF EXISTS `skill_proto`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `skill_proto` (
  `dwVnum` int NOT NULL DEFAULT '0',
  `szName` varbinary(32) NOT NULL DEFAULT '',
  `bType` tinyint NOT NULL DEFAULT '0',
  `bLevelStep` tinyint NOT NULL DEFAULT '0',
  `bMaxLevel` tinyint NOT NULL DEFAULT '0',
  `bLevelLimit` tinyint unsigned NOT NULL DEFAULT '0',
  `szPointOn` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0',
  `szPointPoly` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `szSPCostPoly` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `szDurationPoly` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `szDurationSPCostPoly` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `szCooldownPoly` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `szMasterBonusPoly` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `szAttackGradePoly` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `setFlag` set('ATTACK','USE_MELEE_DAMAGE','COMPUTE_ATTGRADE','SELFONLY','USE_MAGIC_DAMAGE','USE_HP_AS_COST','COMPUTE_MAGIC_DAMAGE','SPLASH','GIVE_PENALTY','USE_ARROW_DAMAGE','PENETRATE','IGNORE_TARGET_RATING','ATTACK_SLOW','ATTACK_STUN','HP_ABSORB','SP_ABSORB','ATTACK_FIRE_CONT','REMOVE_BAD_AFFECT','REMOVE_GOOD_AFFECT','CRUSH','ATTACK_POISON','TOGGLE','DISABLE_BY_POINT_UP','CRUSH_LONG','WIND','ELEC','FIRE','ATTACK_BLEEDING','PARTY','KNOCKBACK') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `setAffectFlag` enum('YMIR','INVISIBILITY','SPAWN','POISON','SLOW','STUN','DUNGEON_READY','DUNGEON_UNIQUE','BUILDING_CONSTRUCTION_SMALL','BUILDING_CONSTRUCTION_LARGE','BUILDING_UPGRADE','MOV_SPEED_POTION','ATT_SPEED_POTION','FISH_MIND','JEONGWIHON','GEOMGYEONG','CHEONGEUN','GYEONGGONG','EUNHYUNG','GWIGUM','TERROR','JUMAGAP','HOSIN','BOHO','KWAESOK','MANASHIELD','MUYEONG','REVIVE_INVISIBLE','FIRE','GICHEON','JEUNGRYEOK','TANHWAN_DASH','PABEOP','CHEONGEUN_WITH_FALL','POLYMORPH','WAR_FLAG1','WAR_FLAG2','WAR_FLAG3','CHINA_FIREWORK','HAIR','GERMANY','DS','BLEEDING','RED_POSSESSION','BLUE_POSSESSION','STATUE1','STATUE2','STATUE3','STATUE4','SOUL_RED','SOUL_BLUE','SOUL_MIX','CHEONUN') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `szPointOn2` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'NONE',
  `szPointPoly2` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `szDurationPoly2` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `setAffectFlag2` enum('YMIR','INVISIBILITY','SPAWN','POISON','SLOW','STUN','DUNGEON_READY','DUNGEON_UNIQUE','BUILDING_CONSTRUCTION_SMALL','BUILDING_CONSTRUCTION_LARGE','BUILDING_UPGRADE','MOV_SPEED_POTION','ATT_SPEED_POTION','FISH_MIND','JEONGWIHON','GEOMGYEONG','CHEONGEUN','GYEONGGONG','EUNHYUNG','GWIGUM','TERROR','JUMAGAP','HOSIN','BOHO','KWAESOK','MANASHIELD','MUYEONG','REVIVE_INVISIBLE','FIRE','GICHEON','JEUNGRYEOK','TANHWAN_DASH','PABEOP','CHEONGEUN_WITH_FALL','POLYMORPH','WAR_FLAG1','WAR_FLAG2','WAR_FLAG3','CHINA_FIREWORK','HAIR','GERMANY','DS','BLEEDING','RED_POSSESSION','BLUE_POSSESSION','STATUE1','STATUE2','STATUE3','STATUE4','SOUL_RED','SOUL_BLUE','SOUL_MIX','CHEONUN') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
  `szPointOn3` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'NONE',
  `szPointPoly3` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `szDurationPoly3` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `szGrandMasterAddSPCostPoly` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `prerequisiteSkillVnum` int NOT NULL DEFAULT '0',
  `prerequisiteSkillLevel` int NOT NULL DEFAULT '0',
  `eSkillType` enum('NORMAL','MELEE','RANGE','MAGIC') CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'NORMAL',
  `iMaxHit` tinyint NOT NULL DEFAULT '0',
  `szSplashAroundDamageAdjustPoly` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '1',
  `dwTargetRange` int NOT NULL DEFAULT '1000',
  `dwSplashRange` int unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`dwVnum`) USING BTREE,
  UNIQUE KEY `dwVnum unique` (`dwVnum`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=FIXED;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `skill_proto`
--

LOCK TABLES `skill_proto` WRITE;
/*!40000 ALTER TABLE `skill_proto` DISABLE KEYS */;
INSERT INTO `skill_proto` VALUES (1,_binary '￬\',1,1,1,0,'HP','-(1.1*atk+(0.5*atk+1.5*str)*k)','40+100*k','','','12','-(1.1*atk+(0.5*atk+1.5*str)*k)','','ATTACK,USE_MELEE_DAMAGE',NULL,'NONE','','',NULL,'','','','40+100*k',0,0,'MELEE',5,'1',0,200),(2,_binary '\ȹ\ǳ\',1,1,1,0,'HP','-(3*atk+(0.8*atk+str*5+dex*3+con)*k)','50+130*k','','','15','-(3*atk+(0.8*atk+str*5+dex*3+con)*k)','','ATTACK,USE_MELEE_DAMAGE',NULL,'NONE','','',NULL,'','','','50+130*k',0,0,'MELEE',12,'1',0,200),(3,_binary '\ȥ',1,1,1,0,'ATT_SPEED','50*k','50+140*k','60+90*k','','63+90*k','50*k','','SELFONLY','JEONGWIHON','MOV_SPEED','20*k','60+90*k',NULL,'','','','50+140*k',0,0,'NORMAL',1,'1',0,0),(4,_binary '˰\',1,1,1,0,'ATT_GRADE','(100+str+lv*3)*k','100+200*k','30+50*k','','33+50*k','(100+str+lv*3)*k','','SELFONLY','GEOMGYEONG','NONE','','',NULL,'','','','100+200*k',0,0,'NORMAL',1,'1',0,0),(16,_binary '\\',1,1,1,0,'HP','-(2.3*atk+(4*atk+str*4+con)*k)','60+120*k','','','15','-(2.3*atk+(4*atk+str*4+con)*k)','','ATTACK,USE_MELEE_DAMAGE',NULL,'NONE','','',NULL,'','','','60+120*k',0,0,'MELEE',4,'1',0,100),(17,_binary 'ݻ\Ÿ\',1,1,1,0,'HP','-(2.3*atk+(3*atk+str*4+con*3)*k)','60+150*k','','','15','-(2.3*atk+(3*atk+str*4+con*3)*k)','','ATTACK,USE_MELEE_DAMAGE',NULL,'NONE','','',NULL,'','','','60+150*k',0,0,'MELEE',8,'1',0,200),(18,_binary '\',1,1,1,0,'HP','-(2*atk+(2*atk+2*dex+2*con+str*4)*k)','50+140*k','','','25','-(2*atk+(2*atk+2*dex+2*con+str*4)*k)','','ATTACK,USE_MELEE_DAMAGE,SELFONLY,SPLASH,ATTACK_STUN',NULL,'NONE','100+k*1000/6','2',NULL,'','','','50+140*k',0,0,'MELEE',10,'1',0,400),(19,_binary 'õ\\\',1,1,1,0,'DEF_GRADE','(200+str*0.2+con*0.5)*k','80+220*k','60+90*k','','63+90*k','(200+str*0.2+con*0.5)*k','','SELFONLY','CHEONGEUN','MOV_SPEED','-(1+9*k)','60+90*k',NULL,'','','','80+220*k',0,0,'NORMAL',1,'1',0,0),(47,_binary 'ݼ',2,1,1,0,'HP','-(atk+(1.7*atk+dex*5+str)*k)','30+150*k','','','15','-(atk+(1.7*atk+dex*5+str)*k)','','ATTACK,SPLASH,USE_ARROW_DAMAGE,ATTACK_SLOW',NULL,'NONE','50+dex*6*k','1+iq*0.4*k*0.1',NULL,'','','','30+150*k',0,0,'RANGE',8,'0.6',2500,200),(48,_binary 'ȭ\\',2,1,1,0,'HP','-(1.5*atk+(2.6*atk+0.9*iq+number(100,300))*k)','30+160*k','','','15','-(1.5*atk+(2.6*atk+0.9*iq+number(100,300))*k)','','ATTACK,SPLASH,USE_ARROW_DAMAGE,ATTACK_FIRE_CONT',NULL,'NONE','lv+5*iq*k','(350+iq*4*k)/10',NULL,'','','','30+160*k',0,0,'RANGE',12,'1',2500,300),(46,_binary '\',2,1,1,0,'HP','-(atk+0.2*atk*floor(2+k*6)+(0.8*atk+dex*8*ar+iq*2)*k)','40+160*k','','','10','-(atk+0.2*atk*floor(2+k*6)+(0.8*atk+dex*8*ar+iq*2)*k)','','ATTACK,USE_ARROW_DAMAGE,KNOCKBACK',NULL,'NONE','','',NULL,'','','','40+160*k',0,0,'RANGE',1,'1',2500,0),(49,_binary '\',2,1,1,0,'MOV_SPEED','60*k','60+220*k','3+(90*k)/10','','4+8*k','60*k','','SELFONLY','GYEONGGONG','NONE','(Lv*2+(3*dex+number(100,300))+str*2+iq*2)*k)','',NULL,'','','','60+220*k',0,0,'NORMAL',1,'1',0,0),(31,_binary 'Ͻ',2,1,1,0,'HP','-(atk+(1.2*atk+number(500,700)+dex*4+str*4)*k)','40+160*k','','','15','-(atk+(1.2*atk+number(500,700)+dex*4+str*4)*k)','','ATTACK,USE_MELEE_DAMAGE',NULL,'NONE','','',NULL,'','','','40+160*k',0,0,'MELEE',6,'1',0,0),(32,_binary 'ý\ź',2,1,1,0,'HP','-(atk+(1.6*atk+number(200,300)+dex*7+str*7)*k)','40+160*k','','','20','-(atk+(1.6*atk+number(200,300)+dex*7+str*7)*k)','','ATTACK,USE_MELEE_DAMAGE',NULL,'NONE','','',NULL,'','','','40+160*k',0,0,'MELEE',6,'1',800,0),(33,_binary '\\\',2,1,1,0,'HP','-(2*atk+(0.5*atk+dex*9+str*7)*k)','50+140*k','','','25','-(2*atk+(0.5*atk+dex*9+str*7)*k)','','ATTACK,USE_MELEE_DAMAGE,ATTACK_POISON',NULL,'NONE','40*k','',NULL,'','','','50+140*k',0,0,'MELEE',12,'1',0,0),(34,_binary '\',2,1,1,0,'NONE','','30+60*k','15+30*k','','60','','','SELFONLY','EUNHYUNG','NONE','','',NULL,'','','','30+60*k',0,0,'NORMAL',1,'1',0,0),(76,_binary '\',3,1,1,0,'HP','-(40+5*lv+2*iq+(13*iq+6*mwep+number(50,1))*ar*k)','30+140*k','','','7','-(40+5*lv+2*iq+(13*iq+6*mwep+number(50,1))*ar*k)','','ATTACK,COMPUTE_MAGIC_DAMAGE,SPLASH',NULL,'NONE','','',NULL,'','','','30+140*k',0,0,'MAGIC',5,'1',1500,200),(77,_binary 'ȭ\',3,1,1,0,'HP','-(5*lv+2*iq+(10*iq+6*mwep+str*4+con*2+number(180,2))*k)','60+140*k','','','12','-(5*lv+2*iq+(10*iq+6*mwep+str*4+con*2+number(180,2))*k)','','ATTACK,SELFONLY,COMPUTE_MAGIC_DAMAGE,SPLASH',NULL,'NONE','','',NULL,'','','','60+140*k',0,0,'MAGIC',15,'0.8',0,500),(78,_binary '',3,1,1,0,'HP','-(30+2*lv+2*iq+(7*iq+6*mwep+number(200,5))*ar*k)','20+30*k','40+30*k','5+40*k','43+30*k','-(30+2*lv+2*iq+(7*iq+6*mwep+number(200,5))*ar*k)','','ATTACK,COMPUTE_MAGIC_DAMAGE,SPLASH,TOGGLE',NULL,'NONE','','',NULL,'','','','20+30*k',0,0,'MAGIC',1,'1',800,100),(80,_binary '\\Ӹ\',3,1,1,0,'HP','-(40+2*lv+2*iq+(2*con+2*dex+13*iq+6*mwep+number(180,2))*ar*k)','40+120*k','','','12','-(40+2*lv+2*iq+(2*con+2*dex+13*iq+6*mwep+number(180,2))*ar*k)','','ATTACK,COMPUTE_MAGIC_DAMAGE,SPLASH,ATTACK_SLOW',NULL,'NONE','333+300*k','10+10*k',NULL,'','','','40+120*k',0,0,'MAGIC',9,'1',1200,400),(61,_binary '\\\',3,1,1,0,'HP','-(atk+2*lv+iq*2+(2*atk+str*4+iq*14)*k)','30+140*k','','','10','-(atk+2*lv+iq*2+(2*atk+str*4+iq*14)*k)','','ATTACK,USE_MELEE_DAMAGE,PENETRATE',NULL,'NONE','1+k*9','',NULL,'','','','30+140*k',0,0,'MELEE',4,'1',0,0),(62,_binary '\\\\',3,1,1,0,'HP','-(1.1*atk+2*lv+iq*2+(1.5*atk+str+iq*12)*k)','50+150*k','','','15','-(1.1*atk+2*lv+iq*2+(1.5*atk+str+iq*12)*k)','','ATTACK,USE_MELEE_DAMAGE,SELFONLY,SPLASH,IGNORE_TARGET_RATING',NULL,'NONE','1+k*9','',NULL,'','','','50+150*k',0,0,'MELEE',12,'1',0,500),(63,_binary 'Ͱ\',3,1,1,0,'ATT_GRADE','(3*iq+2*lv)*k','20+240*k','50+100*k','2+23*k','0','(3*iq+2*lv)*k','','SELFONLY,TOGGLE','GWIGUM','HIT_HP_RECOVER','10*k','50+100*k',NULL,'','','','20+240*k',0,0,'NORMAL',1,'1',0,0),(64,_binary '\\',3,1,1,0,'DODGE','1+29*k','60+120*k','60+100*k','','100','1+29*k','','SELFONLY','TERROR','NONE','','',NULL,'','','','60+120*k',0,0,'NORMAL',1,'1',0,0),(65,_binary 'ָ',3,1,1,0,'DEF_GRADE','(iq+30)*k','70+170*k','30+120*k','','33+140*k','(iq+30)*k','','SELFONLY','JUMAGAP','REFLECT_MELEE','(iq/4+10)*k','30+120*k',NULL,'','','','70+170*k',0,0,'NORMAL',1,'1',0,0),(92,_binary '\\Ļ\',4,1,1,0,'HP','-(60+5*lv+(16*iq+dex*6+6*mwep+120)*ar*k)','50+280*k','','','10','-(60+5*lv+(16*iq+dex*6+6*mwep+120)*ar*k)','','ATTACK,ATTACK_FIRE_CONT,KNOCKBACK',NULL,'NONE','lv+5*iq*k','(100+iq*5*k)/10',NULL,'','','','50+280*k',0,0,'MAGIC',10,'1',800,0),(93,_binary '\з\\',4,1,1,0,'HP','-(70+3*lv+(20*iq+str*3+10*mwep+100)*ar*k)','70+380*k','','','12','-(70+3*lv+(20*iq+str*3+10*mwep+100)*ar*k)','','ATTACK,SPLASH,ATTACK_FIRE_CONT',NULL,'NONE','lv+5*iq*k','(100+iq*5*k)/10',NULL,'','','','70+380*k',0,0,'MAGIC',15,'1',2500,500),(94,_binary 'ȣ\',4,1,1,0,'RESIST_NORMAL','((iq*0.3+5)*(2*k+0.5)+(dex*0.3))/(k+2.3)','40+190*k','50+80*k','','10','((iq*0.3+5)*(2*k+0.5)+(dex*0.3))/(k+2.3)','','PARTY','HOSIN','NONE','','',NULL,'','','','40+190*k',0,0,'NORMAL',1,'1',2000,0),(95,_binary 'ݻ\',4,1,1,0,'REFLECT_MELEE','5+(iq*0.2+str*0.1)*k','60+120*(k+k)','60+200*k','','10','5+(iq*0.2+str*0.1)*k','','PARTY','BOHO','NONE','','',NULL,'','','','60+120*(k+k)',0,0,'NORMAL',1,'1',2000,0),(106,_binary '\',4,1,1,0,'HP','-(60+5*lv+(8*iq+dex*2+8*mwep+number(iq*5,iq*15))*ar*k)','30+200*k','','','8','-(60+5*lv+(8*iq+dex*2+8*mwep+number(iq*5,iq*15))*ar*k)','','ATTACK,SPLASH',NULL,'NONE','','',NULL,'','','','30+200*k',0,0,'MAGIC',5,'1',1800,400),(107,_binary '\',4,1,1,0,'HP','-(40+4*lv+(13*iq+str*2+10*mwep+number(iq*5,iq*16))*ar*k)','50+300*k','','','10','-(40+4*lv+(13*iq+str*2+10*mwep+number(iq*5,iq*16))*ar*k)','','ATTACK,SPLASH,ATTACK_STUN',NULL,'NONE','30+70*2*k','1+str*0.2*k*0.1',NULL,'','','','50+300*k',0,0,'MAGIC',15,'1',1500,400),(108,_binary '\ڰ\',4,1,1,0,'HP','-(50+5*lv+(8*iq+str*2+8*mwep+number(1,800))*ar*k)*(1-chain*0.13)','40+200*k','','','9','-(50+5*lv+(8*iq+str*2+8*mwep+number(1,800))*ar*k)*(1-chain*0.13)','','ATTACK,SPLASH,ATTACK_SLOW',NULL,'NONE','80+iq*5*k','1+str*0.4*k*0.1',NULL,'','','','40+200*k',0,0,'MAGIC',7,'1',2500,100),(109,_binary '\\',4,1,1,0,'HP','150+5*lv+(10*iq+6*mwep+number(600,800))*(k+0.15)','40+250*k','','','10','150+5*lv+(10*iq+6*mwep+number(600,800))*(k+0.15)','','REMOVE_BAD_AFFECT,PARTY',NULL,'NONE','20+80*k','0',NULL,'','','','40+250*k',0,0,'NORMAL',1,'1',1000,0),(110,_binary '\\\',4,1,1,0,'MOV_SPEED','(dex*0.2)+35*k','60+120*k','60+100*k','','10','(dex*0.2)+35*k','','PARTY','KWAESOK','CASTING_SPEED','3+33*k','60+100*k',NULL,'','','','60+120*k',0,0,'NORMAL',1,'1',2000,0),(79,_binary '\\ż\ȣ',3,1,1,0,'DEF_GRADE','(0.5*iq+15)*k','20+30*k','60+120*k','5+10*k','63+120*k','(0.5*iq+15)*k','','SELFONLY,TOGGLE','MANASHIELD','MANASHIELD','100-((iq*0.84)*k)','60+120*k',NULL,'','','','20+30*k',0,0,'MAGIC',1,'1',0,0),(157,_binary 'ֹ',0,1,7,0,'CASTING_SPEED','50*k','150+150*k','180','','480','50*k','',NULL,NULL,'NONE','','',NULL,'','','','150+150*k',0,0,'NORMAL',0,'1',0,0),(156,_binary '\\Ǻг\',0,1,7,0,'CRITICAL','50*k','150+150*k','180','','480','50*k','',NULL,NULL,'NONE','','',NULL,'','','','150+150*k',0,0,'NORMAL',0,'1',0,0),(155,_binary '\ȭ',0,1,7,0,'MOV_SPEED','15*k','150+150*k','180','','480','15*k','',NULL,NULL,'ATT_SPEED','15*k','180',NULL,'','','','150+150*k',0,0,'NORMAL',0,'1',0,0),(154,_binary '\ְ',0,1,7,0,'DEF_GRADE','odef*0.1*k','150+150*k','180','','480','odef*0.1*k','',NULL,NULL,'NONE','','',NULL,'','','','150+150*k',0,0,'NORMAL',0,'1',0,0),(153,_binary '\\\\ູ',0,1,7,0,'MAX_SP','maxsp*0.2*k','150+150*k','300','','600','maxsp*0.2*k','',NULL,NULL,'NONE','','',NULL,'','','','150+150*k',0,0,'NORMAL',0,'1',0,0),(151,_binary '\\',0,1,7,0,'NONE','','','','','','','',NULL,NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',0,'1',0,0),(91,_binary '\\ĺ\',4,1,1,0,'HP','-(70+5*lv+(18*iq+str*7+5*mwep+50)*ar*k)','30+200*k','','','9','-(70+5*lv+(18*iq+str*7+5*mwep+50)*ar*k)','','ATTACK,COMPUTE_MAGIC_DAMAGE,SPLASH,ATTACK_SLOW',NULL,'NONE','3+iq*7*k','1+dex*0.4*k*0.1',NULL,'','','','30+200*k',0,0,'MAGIC',5,'1',1800,400),(5,_binary 'źȯ\',1,1,1,0,'HP','-(2*atk+(atk+dex*3+str*7+con)*k)','60+120*k','','','12','-(2*atk+(atk+dex*3+str*7+con)*k)','','ATTACK,USE_MELEE_DAMAGE,SPLASH,CRUSH',NULL,'MOV_SPEED','150','3',NULL,'','','','60+120*k',0,0,'MELEE',4,'1',0,200),(20,_binary '\ǳ',1,1,1,0,'HP','-(2*atk+(atk+dex*3+str*5+con)*k)','40+120*k','','','20','-(2*atk+(atk+dex*3+str*5+con)*k)','','ATTACK,USE_MELEE_DAMAGE,SPLASH,CRUSH',NULL,'NONE','','',NULL,'','','','40+120*k',0,0,'MELEE',10,'1',1200,200),(35,_binary '\\',2,1,1,0,'HP','-(lv*2+(atk+str*3+dex*18)*k)','40+130*k','','','25','-(lv*2+(atk+str*3+dex*18)*k)','','ATTACK,USE_MELEE_DAMAGE,SPLASH,ATTACK_POISON',NULL,'NONE','60*k','5+25*k',NULL,'','','','40+130*k',0,0,'MELEE',0,'1',800,200),(50,_binary '\\',2,1,1,0,'HP','-(atk+(1.4*atk+number(100,200)+dex*7+str*4+iq*4)*k)','40+160*k','','','18','-(atk+(1.4*atk+number(100,200)+dex*7+str*4+iq*4)*k)','','ATTACK,SPLASH,USE_ARROW_DAMAGE,CRUSH,ATTACK_POISON',NULL,'NONE','(50+dex*6*k)/10','15+30*k',NULL,'','','','40+160*k',0,0,'RANGE',12,'1',2500,600),(66,_binary '\Ĺ',3,1,1,0,'HP','-(40+5*lv+2*iq+(10*iq+7*mwep+number(50,1))*ar*k)','30+120*k','','','12','-(40+5*lv+2*iq+(10*iq+7*mwep+number(50,1))*ar*k)','','ATTACK,COMPUTE_MAGIC_DAMAGE,SPLASH,REMOVE_GOOD_AFFECT',NULL,'NONE','10+40*k','7+23*k',NULL,'','','','30+120*k',0,0,'NORMAL',5,'1',1800,200),(81,_binary 'ȯ\',3,1,1,0,'HP','-(120+6*lv+(5*con+5*dex+29*iq+9*mwep)*ar*k)','80+220*k','','','24','-(120+6*lv+(5*con+5*dex+29*iq+9*mwep)*ar*k)','','ATTACK,COMPUTE_MAGIC_DAMAGE,SPLASH',NULL,'NONE','','',NULL,'','','','80+220*k',0,0,'MAGIC',9,'1',1500,200),(96,_binary '\õ\',4,1,1,0,'CRITICAL','(iq*0.3+5)*(2*k)/(k+3)','50+180*k','60+100*k','','10','(iq*0.3+5)*(2*k)/(k+3)','','PARTY','GICHEON','NONE','','',NULL,'','','','50+180*k',0,0,'NORMAL',1,'1',2000,0),(111,_binary '\¼',4,1,1,0,'ATT_GRADE','3+(iq*0.2+str*0.1+11)*k','60+150*k','60+100*k','','10','3+(iq*0.2+str*0.1+11)*k','','PARTY','JEUNGRYEOK','NONE','','',NULL,'','','','60+150*k',0,0,'NORMAL',1,'1',2000,0),(126,_binary 'ż\\',0,1,20,0,'NONE','','','','','','','','DISABLE_BY_POINT_UP',NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',0,'1',0,0),(122,_binary '\\',0,1,2,0,'NONE','','','','','','','','DISABLE_BY_POINT_UP',NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',0,'1',0,0),(121,_binary '\\ַ\',0,1,40,0,'NONE','','','','','','','','DISABLE_BY_POINT_UP',NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',0,'1',0,0),(125,_binary '\',0,1,40,0,'NONE','','','10+1000*k','','','','',NULL,'YMIR','NONE','','',NULL,'','','','',0,0,'NORMAL',0,'1',1000,0),(127,_binary 'õ\',0,1,20,0,'NONE','','','','','','','','DISABLE_BY_POINT_UP',NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',0,'1',0,0),(128,_binary '\\',0,1,20,0,'NONE','','','','','','','','DISABLE_BY_POINT_UP',NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',0,'1',0,0),(158,_binary '\\̵',0,1,3,0,'NONE','','','','','','','','SELFONLY',NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',0,'1',0,0),(159,_binary 'ǹ',0,1,5,0,'NONE','','','','','','','','SELFONLY',NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',0,'1',0,0),(160,_binary '\ȭ',0,1,5,0,'NONE','3*k','80-12*k','300','','','3*k','','SELFONLY',NULL,'NONE','','',NULL,'','','','80-12*k',0,0,'NORMAL',0,'1',0,0),(161,_binary 'ǹ',0,1,2,0,'NONE','','50','','','','','',NULL,NULL,'NONE','','',NULL,'','','','50',0,0,'NORMAL',0,'1',0,0),(162,_binary '̵',0,1,2,0,'NONE','','20','','','','','',NULL,NULL,'NONE','','',NULL,'','','','20',0,0,'NORMAL',0,'1',0,0),(256,_binary 'CRUSH200ų',0,1,1,0,'HP','-5*k*atk','','','','2','-5*k*atk','','ATTACK,USE_MELEE_DAMAGE,SPLASH,CRUSH',NULL,'NONE','','',NULL,'','','','',0,0,'MELEE',0,'1',0,300),(257,_binary 'Ϲݹ350ų',0,1,1,0,'HP','-5*k*atk','','','','5','-5*k*atk','','ATTACK,USE_MELEE_DAMAGE,SPLASH',NULL,'NONE','','',NULL,'','','','',0,0,'MELEE',0,'1',0,525),(258,_binary 'CRUSH300ų',0,1,1,0,'HP','-5*k*atk','','','','7','-5*k*atk','','ATTACK,USE_MELEE_DAMAGE,SPLASH,CRUSH',NULL,'NONE','','',NULL,'','','','',0,0,'MELEE',0,'1',0,450),(259,_binary 'Ϲݹ200ų',0,1,1,0,'HP','-5*k*atk','','','','9','-5*k*atk','','ATTACK,USE_MELEE_DAMAGE,SPLASH',NULL,'NONE','','',NULL,'','','','',0,0,'MELEE',0,'1',0,300),(260,_binary 'CURSH400ų',0,1,1,0,'HP','-5*k*atk','','','','10','-5*k*atk','','ATTACK,USE_MELEE_DAMAGE,SPLASH,CRUSH',NULL,'NONE','','',NULL,'','','','',0,0,'MELEE',0,'1',0,600),(261,_binary '250ų',0,1,1,0,'HP','-5*k*atk','','','','9','-5*k*atk','','ATTACK,USE_MELEE_DAMAGE,SPLASH,ATTACK_POISON',NULL,'NONE','80','',NULL,'','','','',0,0,'MELEE',0,'1',0,375),(262,_binary 'SLOW300ų',0,1,1,0,'HP','-5*k*atk','','','','12','-5*k*atk','','ATTACK,USE_MELEE_DAMAGE,SPLASH',NULL,'MOV_SPEED','-20','10',NULL,'','','','',0,0,'MELEE',0,'1',0,450),(130,_binary '¸',0,1,1,0,'NONE','','','','','','','','DISABLE_BY_POINT_UP',NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',0,'1',0,0),(137,_binary '',5,1,1,50,'HP','-(atk+(2*atk*k))','60+80*k','','','5-(4*k)','-(atk+(2*atk*k))','','ATTACK,USE_MELEE_DAMAGE,CRUSH',NULL,'NONE','','',NULL,'','','','60+80*k',0,0,'MELEE',10,'1',300,0),(138,_binary '\',5,1,1,52,'HP','-(2.4*(200+1.5*lv)+(3*200*k))','60+120*k','','','15','-(2.4*(200+1.5*lv)+(3*200*k))','','ATTACK,USE_MELEE_DAMAGE,SPLASH,CRUSH_LONG',NULL,'MOV_SPEED','50','5',NULL,'','','','60+120*k',0,0,'MELEE',6,'1',400,100),(139,_binary 'Ż\\',5,1,1,55,'HP','-(2*(200+1.5*lv)+(3*200*k))','60+160*k','','','20','-(2*(200+1.5*lv)+(3*200*k))','','ATTACK,USE_MELEE_DAMAGE,SELFONLY,SPLASH,CRUSH',NULL,'NONE','','',NULL,'','','','60+160*k',0,0,'MELEE',12,'1',400,250),(140,_binary '(Ȱ)',5,1,1,50,'HP','-(atk+(2*atk*k))','60+80*k','','','10','-(atk+(2*atk*k))','','ATTACK,USE_ARROW_DAMAGE,CRUSH',NULL,'NONE','','',NULL,'','','','60+80*k',0,0,'RANGE',5,'1',2500,0),(131,_binary '\ȯ',0,1,10,0,'NONE','','','','','','','','DISABLE_BY_POINT_UP',NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',0,'1',0,0),(124,_binary 'ä',0,1,40,0,'NONE','','','','','','','','DISABLE_BY_POINT_UP',NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',0,'1',0,0),(152,_binary '\\\\\',0,1,7,0,'MAX_HP','maxhp*0.2*k','150+150*k','300','','600','maxhp*0.2*k','',NULL,NULL,'NONE','','',NULL,'','','','150+150*k',0,0,'NORMAL',0,'1',0,0),(129,_binary 'а',0,1,40,0,'NONE','','','','','','','','DISABLE_BY_POINT_UP',NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',0,'1',0,0),(170,_binary '\\',7,1,1,0,'HP','-(1.1*atk+(0.3*atk+1.5*str)*k)','40+100*k','','','12','-(1.1*atk+(0.3*atk+1.5*str)*k)','','ATTACK,USE_MELEE_DAMAGE,SPLASH,ATTACK_BLEEDING',NULL,'NONE','60*k','5+25*k',NULL,'','','','40+100*k',0,0,'MELEE',5,'1',300,200),(171,_binary '\ǳ',7,1,1,0,'HP','-(2*atk+(atk+dex*3+str*5+con)*k)','40+120*k','','','20','-(2*atk+(atk+dex*3+str*5+con)*k)','','ATTACK,USE_MELEE_DAMAGE,SPLASH,ATTACK_STUN,KNOCKBACK',NULL,'NONE','30+70*2*k','2',NULL,'','','','40+120*k',0,0,'MELEE',10,'1',1000,200),(172,_binary '\\',7,1,1,0,'HP','-(atk+(1.6*atk+200+dex*7+str*7)*k)','40+100*k','','','12','-(atk+(1.6*atk+200+dex*7+str*7)*k)','','ATTACK,USE_MELEE_DAMAGE',NULL,'NONE','','',NULL,'','','','40+100*k',0,0,'MELEE',5,'1',800,100),(173,_binary '\ļ\',7,1,1,0,'HP','-(3*atk+(0.8*atk+str*6+dex*2+con)*k)','40+100*k','','','12','-(3*atk+(0.8*atk+str*6+dex*2+con)*k)','','ATTACK,USE_MELEE_DAMAGE',NULL,'DEF_GRADE','-30*k','5',NULL,'','','','40+100*k',0,0,'MELEE',10,'1',800,100),(174,_binary '\',7,1,1,0,'ATT_GRADE','7+(4*iq+13)*k','20+240*k','45+60*k','2+23*k','10+10*k','7+(4*iq+13)*k','','SELFONLY,TOGGLE','RED_POSSESSION','NONE','','',NULL,'','','','20+240*k',0,0,'NORMAL',1,'1',0,0),(175,_binary 'û\',7,1,1,0,'ATT_SPEED','20*k','80+220*k','200','','300','20*k','','PARTY','BLUE_POSSESSION','DODGE','1+10*k','200',NULL,'','','','80+220*k',0,0,'NORMAL',1,'1',1000,0),(6,_binary '\\\\\\',1,1,1,0,'HP','-(3*atk+(atk+1.5*str)*k)*1.07','300+150*k','','','60','-(3*atk+(atk+1.5*str)*k)*1.07','','ATTACK,USE_MELEE_DAMAGE',NULL,'NONE','','',NULL,'','','','300+150*k',0,0,'MELEE',5,'1',0,0),(21,_binary '˵',1,1,1,0,'HP','-(2*atk+(2*atk+2*dex+2*con+str*4)*k)*1.1','300+180*k','','','60','-(2*atk+(2*atk+2*dex+2*con+str*4)*k)*1.1','','ATTACK,USE_MELEE_DAMAGE',NULL,'NONE','','',NULL,'','','','300+180*k',0,0,'MELEE',10,'1',0,400),(36,_binary '\漶\',2,1,1,0,'HP','-((lv*2+(atk+str*3+dex*18)*k)*1.1)','300+180*k','','','60','-((lv*2+(atk+str*3+dex*18)*k)*1.1)','','ATTACK,USE_MELEE_DAMAGE,SPLASH,ATTACK_POISON',NULL,'NONE','60*k','5+25*k',NULL,'','','','300+180*k',0,0,'MELEE',6,'1',800,300),(51,_binary 'ź',2,1,1,0,'HP','-((atk+(1.2*atk+number(100,200)+dex*6+str*3+iq*3)*k)*1.2)','200+200*k','1+iq*0.4*k*0.1','','60','-((atk+(1.2*atk+number(100,200)+dex*6+str*3+iq*3)*k)*1.2)','','ATTACK,SPLASH,USE_ARROW_DAMAGE,CRUSH,ATTACK_POISON',NULL,'NONE','(50+dex*6*k)/10','15+30*k',NULL,'','','','200+200*k',0,0,'RANGE',5,'1',0,400),(221,_binary '\ȹ\ǳ\\\\\',6,1,1,0,'NONE','24*k','','','','','24*k','',NULL,NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',1,'1',1000,0),(222,_binary 'Ͻ\\\\',6,1,1,0,'NONE','24*k','','','','','24*k','',NULL,NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',1,'1',1000,0),(223,_binary '\\\\\\\',6,1,1,0,'NONE','24*k','','','','','24*k','',NULL,NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',1,'1',1000,0),(224,_binary '\\Ļ\\\\\',6,1,1,0,'NONE','24*k','','','','','24*k','',NULL,NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',1,'1',1000,0),(225,_binary '\\\\\\',6,1,1,0,'NONE','24*k','','','','','24*k','',NULL,NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',1,'1',1000,0),(226,_binary 'ȭ\\\\\\',6,1,1,0,'NONE','24*k','','','','','24*k','',NULL,NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',1,'1',1000,0),(227,_binary '\\\\\',6,1,1,0,'NONE','24*k','','','','','24*k','',NULL,NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',1,'1',1000,0),(228,_binary '\\\\\',6,1,1,0,'NONE','24*k','','','','','24*k','',NULL,NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',1,'1',1000,0),(229,_binary '\ǳ\\\\',6,1,1,0,'NONE','24*k','','','','','24*k','',NULL,NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',1,'1',1000,0),(236,_binary '\ȹ\ǳ찭ȭ',6,1,1,0,'NONE','16*k','','','','','16*k','',NULL,NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',1,'1',1000,0),(237,_binary 'Ͻȭ',6,1,1,0,'NONE','16*k','','','','','16*k','',NULL,NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',1,'1',1000,0),(238,_binary '\\\ȭ',6,1,1,0,'NONE','16*k','','','','','16*k','',NULL,NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',1,'1',1000,0),(239,_binary '\\Ļ갭ȭ',6,1,1,0,'NONE','16*k','','','','','16*k','',NULL,NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',1,'1',1000,0),(240,_binary '\\ȭ',6,1,1,0,'NONE','16*k','','','','','16*k','',NULL,NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',1,'1',1000,0),(241,_binary 'ȭ\İȭ',6,1,1,0,'NONE','16*k','','','','','16*k','',NULL,NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',1,'1',1000,0),(242,_binary 'ɰȭ',6,1,1,0,'NONE','16*k','','','','','16*k','',NULL,NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',1,'1',1000,0),(243,_binary '\ȭ',6,1,1,0,'NONE','16*k','','','','','16*k','',NULL,NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',1,'1',1000,0),(244,_binary '\ǳȭ',6,1,1,0,'NONE','16*k','','','','','16*k','',NULL,NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',1,'1',1000,0),(263,_binary 'SLOW4000ų',0,1,1,0,'HP','-5*k*atk','','','','12','-5*k*atk','','ATTACK,USE_MELEE_DAMAGE,SPLASH',NULL,'MOV_SPEED','-70','3',NULL,'','','','',0,0,'MELEE',0,'1',2000,6000),(264,_binary 'THUNDERų',0,1,1,0,'HP','-maxhp*k','','','','12','-maxhp*k','','ATTACK,USE_MELEE_DAMAGE,SPLASH,CRUSH',NULL,'NONE','','',NULL,'','','','',0,0,'MELEE',0,'1',0,500),(265,_binary 'HEAL4000ų',0,1,1,0,'HP','0.1*maxhp*k','','','','5','0.1*maxhp*k','','PARTY','YMIR','NONE','','',NULL,'','','','',0,0,'NORMAL',1,'1',3000,0),(266,_binary 'ATTACK_SLOW',0,1,1,0,'NONE','','','','','','','','SELFONLY,SPLASH',NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',1,'1',0,3000),(132,_binary 'AutoAttack',0,0,0,0,'NONE','','','','','','','','DISABLE_BY_POINT_UP',NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',0,'1',1000,0),(267,_binary 'Ϲ\0ų',0,1,1,0,'HP','-5*k*atk','','','','10','-5*k*atk','','ATTACK,USE_MELEE_DAMAGE',NULL,'NONE','','',NULL,'','','','',0,0,'MELEE',1,'1',0,0),(268,_binary 'CRUSH0ų',0,1,1,0,'HP','-5*k*atk','','','','10','-5*k*atk','','ATTACK,USE_MELEE_DAMAGE,CRUSH',NULL,'NONE','','',NULL,'','','','',0,0,'MELEE',1,'1',0,0),(269,_binary 'STUN200',0,1,1,0,'HP','-5*k*atk','','','','10','-5*k*atk','','ATTACK,USE_MELEE_DAMAGE,SPLASH,ATTACK_STUN',NULL,'NONE','1000','3',NULL,'','','','',0,0,'MELEE',0,'1',0,300),(270,_binary 'normal_range_attack_confustion',0,1,1,0,'HP','-5*k*atk','','','','5','-5*k*atk','','ATTACK,USE_MELEE_DAMAGE,SPLASH',NULL,'NONE','80*k','',NULL,'','','','',0,0,'MELEE',0,'1',0,525),(133,_binary 'RoleProficiency',0,1,40,0,'NONE','','','','','','','','DISABLE_BY_POINT_UP',NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',0,'1',0,0),(134,_binary 'InSight',0,1,40,0,'NONE','','','','','','','','DISABLE_BY_POINT_UP',NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',0,'1',0,0),(271,_binary 'knockback_hp_absorb',0,1,1,0,'HP','-5*k*atk','','','','7','-5*k*atk','','ATTACK,USE_MELEE_DAMAGE,SPLASH,HP_ABSORB,CRUSH',NULL,'NONE','10','',NULL,'','','','',0,0,'MELEE',0,'1',0,350),(272,_binary 'knockback_bleeding',0,1,1,0,'HP','-5*k*atk','','','','7','-5*k*atk','','ATTACK,USE_MELEE_DAMAGE,SPLASH,CRUSH,ATTACK_BLEEDING',NULL,'NONE','100','',NULL,'','','','',0,0,'MELEE',0,'1',0,350),(273,_binary 'wide_area_damage_stun',0,1,1,0,'HP','-maxhp*k','','','','12','-maxhp*k','','ATTACK,USE_MELEE_DAMAGE,SPLASH,ATTACK_STUN,CRUSH',NULL,'NONE','1000','4',NULL,'','','','',0,0,'MELEE',0,'1',0,500),(274,_binary 'wide_area_damage_sungma_str',0,1,1,0,'NONE','-40*k','','10','','12','-40*k','','ATTACK,USE_MELEE_DAMAGE,SPLASH,CRUSH',NULL,'HP','-maxhp*k','0',NULL,'','','','',0,0,'MELEE',0,'1',1000,300),(275,_binary 'splash400_bleeding',0,1,1,0,'HP','-5*k*atk','','','','7','-5*k*atk','','ATTACK,USE_MELEE_DAMAGE,SPLASH,ATTACK_BLEEDING',NULL,'NONE','30','',NULL,'','','','',0,0,'MELEE',0,'1',0,400),(276,_binary 'stun300',0,1,1,0,'HP','-5*k*atk','','','','7','-5*k*atk','','ATTACK,USE_MELEE_DAMAGE,SPLASH,ATTACK_STUN',NULL,'NONE','200','3',NULL,'','','','',0,0,'MELEE',0,'1',0,300),(277,_binary 'splash400_poison',0,1,1,0,'HP','-5*k*atk','','','','5','-5*k*atk','','ATTACK,USE_MELEE_DAMAGE,SPLASH,ATTACK_POISON',NULL,'NONE','10','',NULL,'','','','',0,0,'MELEE',0,'1',0,400),(278,_binary 'stun400',0,1,1,0,'HP','-5*k*atk','','','','7','-5*k*atk','','ATTACK,USE_MELEE_DAMAGE,SPLASH,ATTACK_STUN',NULL,'NONE','200','3',NULL,'','','','',0,0,'MELEE',0,'1',0,400),(279,_binary 'maze_keingnoll_boss_skill3',0,1,1,0,'HP','-5*k*atk','','','','20','-5*k*atk','','ATTACK,USE_MELEE_DAMAGE,SPLASH,HP_ABSORB',NULL,'NONE','50','',NULL,'','','','',0,0,'NORMAL',0,'1',0,400),(246,_binary 'hit',0,1,40,0,'NONE','0.4*k+(32*k/2)','','','','','0.4*k+(32*k/2)','','DISABLE_BY_POINT_UP',NULL,'NONE','','',NULL,'','','','',0,0,'NORMAL',0,'1',0,0),(181,_binary '\\׿',4,1,1,0,'HP','-(120+6*lv+(5*con+5*dex+30*iq+number(1,1000)+9*mwep)*ar*k)','200+200*k','','','35+20*k','-(120+6*lv+(5*con+5*dex+30*iq+number(1,1000)+9*mwep)*ar*k)','','ATTACK,SPLASH,ATTACK_FIRE_CONT,DISABLE_BY_POINT_UP',NULL,'NONE','0.4*k+(32*k/2)','20*k',NULL,'','','','200+200*k',0,0,'MAGIC',5,'1',2000,500),(182,_binary 'õ\',4,1,1,0,'NONE','0.4*k+(18*k)','200+200*k','50+(8*k)','','386+(80*k)','0.4*k+(18*k)','','DISABLE_BY_POINT_UP,PARTY','CHEONUN','NONE','4*k','',NULL,'','','','200+200*k',0,0,'NORMAL',1,'1',2000,0),(183,_binary '̸ǳ\',7,1,1,0,'HP','-(1.8*atk+(atk+dex*6+number(1,1000)+str*3+lv)*k)','200+200*k','','','35+20*k','-(1.8*atk+(atk+dex*6+number(1,1000)+str*3+lv)*k)','','ATTACK,USE_MELEE_DAMAGE,DISABLE_BY_POINT_UP',NULL,'NONE','0.4*k+(32*k/2)','20*k',NULL,'','','','200+200*k',0,0,'MELEE',8,'1',0,200),(176,_binary '\ǴϽ',1,1,1,0,'HP','-(3*atk+(0.9*atk+number(1,1000)+str*5+dex*3+lv)*k)','200+200*k','','','35+20*k','-(3*atk+(0.9*atk+number(1,1000)+str*5+dex*3+lv)*k)','','ATTACK,USE_MELEE_DAMAGE,DISABLE_BY_POINT_UP',NULL,'NONE','0.4*k+(32*k/2)','20*k',NULL,'','','','200+200*k',0,0,'MELEE',8,'1',0,200),(177,_binary 'ϱǥ',2,1,1,0,'HP','-(atk+(1.7*atk+number(1,1000)+dex*6+lv*5)*k)','200+200*k','','','35+20*k','-(atk+(1.7*atk+number(1,1000)+dex*6+lv*5)*k)','','ATTACK,USE_MELEE_DAMAGE,SPLASH,DISABLE_BY_POINT_UP',NULL,'NONE','0.4*k+(32*k/2)','20*k',NULL,'','','','200+200*k',0,0,'MELEE',8,'1',2000,200),(178,_binary 'ǳ\\\',2,1,1,0,'HP','-(1.9*atk+(2.6*atk+number(1,1000))*k)','200+200*k','','','35+20*k','-(1.9*atk+(2.6*atk+number(1,1000))*k)','','ATTACK,SPLASH,USE_ARROW_DAMAGE,DISABLE_BY_POINT_UP',NULL,'NONE','0.4*k+(32*k/2)','20*k',NULL,'','','','200+200*k',0,0,'RANGE',8,'1',2500,500),(179,_binary 'Ǳ\',3,1,1,0,'HP','-(1.9*atk+(2.6*atk+number(1,1000))*k)','200+200*k','','','35+20*k','-(1.9*atk+(2.6*atk+number(1,1000))*k)','','ATTACK,USE_MELEE_DAMAGE,DISABLE_BY_POINT_UP',NULL,'NONE','0.4*k+(32*k/2)','20*k',NULL,'','','','200+200*k',0,0,'MELEE',4,'1',0,0),(180,_binary '\渶Ǳ\',3,1,1,0,'HP','-(120+6*lv+(5*con+5*dex+30*iq+number(1,1000)+9*mwep)*ar*k)','200+200*k','','','35+20*k','-(120+6*lv+(5*con+5*dex+30*iq+number(1,1000)+9*mwep)*ar*k)','','ATTACK,COMPUTE_MAGIC_DAMAGE,SPLASH,DISABLE_BY_POINT_UP',NULL,'NONE','0.4*k+(32*k/2)','20*k',NULL,'','','','200+200*k',0,0,'MAGIC',5,'1',2000,200);
/*!40000 ALTER TABLE `skill_proto` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `string`
--

DROP TABLE IF EXISTS `string`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `string` (
  `name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '',
  `text` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
  PRIMARY KEY (`name`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `string`
--

LOCK TABLES `string` WRITE;
/*!40000 ALTER TABLE `string` DISABLE KEYS */;
/*!40000 ALTER TABLE `string` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2022-10-11 22:47:07
